﻿Imports System.Windows.Forms

Public Class NewPallet

    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click

        If Form1.MyPP.PalletExists(txtPalName.Text) Then
            MessageBox.Show("The name of this pallet already exists!", "", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
            Exit Sub
        End If


        Form1.PRows = NumericUpDown1.Value
        Form1.PCols = NumericUpDown2.Value
        Form1.PName = txtPalName.Text
        Form1.PStepX = txtStepX.Text
        Form1.PStepY = txtStepY.Text
        Form1.ShiftInCMMCSY = chkShiftInCMMCSY.Checked
        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub





    Private Sub NumericUpDown1_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NumericUpDown1.ValueChanged
        If IsNumeric(NumericUpDown1.Value) = False Then Exit Sub
        Try
            TableLayoutPanel2.ColumnCount = NumericUpDown2.Value
            TableLayoutPanel2.RowCount = NumericUpDown1.Value
        Catch ex As Exception

        End Try
    End Sub

    Private Sub NumericUpDown2_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NumericUpDown2.ValueChanged
        If IsNumeric(NumericUpDown2.Value) = False Then Exit Sub
        Try
            TableLayoutPanel2.ColumnCount = NumericUpDown2.Value
            TableLayoutPanel2.RowCount = NumericUpDown1.Value
        Catch ex As Exception

        End Try

    End Sub



    Private Sub NewPallet_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
        Me.Text = Form1.DLang1.GetV("S46")
        GroupBox1.Text = Form1.DLang1.GetV("S47")
        labPalName.Text = Form1.DLang1.GetV("S47")
        GroupBox2.Text = Form1.DLang1.GetV("S48")
        Label4.Text = Form1.DLang1.GetV("S49")
        Label5.Text = Form1.DLang1.GetV("S50")
        labStepX.Text = Form1.DLang1.GetV("S51")
        labStepY.Text = Form1.DLang1.GetV("S51")
        chkShiftInCMMCSY.Text = Form1.DLang1.GetV("S54")

        txtPalName.Text = Form1.MyPP.FindFreePalletname

    End Sub

   
 
    Private Sub NewPallet_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

    End Sub
End Class
