﻿Imports System.Windows.Forms


Public Class Form1
    Public MyPP As New clsPPManger
    Public CurrentIndex As Integer
    Public CurrentIndexMode As Integer
    Public LString As String
    Public PCols As Integer
    Public PRows As Integer
    Public PName As String
    Public DLang1 As New DLang
    Public masterBindingSource As New BindingSource()
    Public detailsBindingSource As New BindingSource()
    Public detailsBindingSource1 As New BindingSource()
    Public DelayedStartTime As Date
    Public DelayedStartPP As String

    Public tutserv As TutorService
    Public TutIsRun As Boolean
    Public PCDIsRun As Boolean
    Public NDimOOT As Integer
    Public PCDApp As PCDLRN.Application

    Private Sub Form1_Disposed(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Disposed
        If My.Settings.AutoResetLeitz Then
            My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Disposing... " & vbCrLf, True)
            ' STOP TUTOR
            If TutIsRun = True Or CheckTutProcess() = True Then
                If IsNothing(tutserv) Then
                    tutserv = New TutorService
                End If
                My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Disposing... TutorRun is found and will be closed... " & vbCrLf, True)
                tutserv.PowerOff()
                tutserv.TutorStop()
                TutIsRun = False
            End If
            ' STOP PCD
            My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Disposing ... " & vbCrLf, True)
            CheckPCDStatus(False)
        End If
    End Sub


    ' --- Load Form ---
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim i As Integer
        Dim mystr As String
        Dim mystrs As String()

        StatusLab2.Text = "Init..."



        ' ---- Start-up
        Me.Text = My.Application.Info.ProductName & " " & My.Application.Info.Version.Major & ".1"
        MyPP.CreateDB()
        MyPP.LoadDB(My.Application.Info.DirectoryPath & "\PP")
        My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " <* " & "EasyRun started" & vbCrLf, True)
        ' --- Settings
        HideSettings()
        Dim userAttr As New System.Configuration.UserScopedSettingAttribute
        Dim attrs As New System.ComponentModel.AttributeCollection(userAttr)
        PropertyGrid1.BrowsableAttributes = attrs
        PropertyGrid1.SelectedObject = My.Settings
        ' --- Languages
        DLang1.LangFile = My.Application.Info.DirectoryPath & "\C1.TXT"
        mystrs = DLang1.CountLanguages
        For Each mystr In mystrs
            If mystr <> "" Then
                LanguageToolStripMenuItem.DropDownItems.Add(mystr, Nothing, New EventHandler(AddressOf LangMenu_Click))
            End If
        Next
        Dim TS As ToolStripMenuItem
        i = 0
        For Each TS In LanguageToolStripMenuItem.DropDownItems
            If i = My.Settings.CurrentLang Then TS.Checked = True
            i = i + 1
        Next TS
        LangStr()
        ' --- Create Image Lists and prepare ListViews
        LoadImages()
        MyPP.FillImageList(ImageListQUA, 0, ListViewQUA, My.Settings.UseIcons)
        MyPP.FillImageList(ImageListAL, 1, ListViewAL, My.Settings.UseIcons)
        MyPP.FillImageList(ImageListMEA, 2, ListViewMEA, My.Settings.UseIcons)
        MyPP.FillComboGroup(0, ComboQua)
        MyPP.FillComboGroup(1, ComboAL)
        MyPP.FillComboGroup(2, ComboMEA)
        ComboQua.Width = 240
        ComboAL.Width = 240
        ComboMEA.Width = 240

        MyPP.AssignComboBox(3, PalletsList)
        ' --- Load the old context 
        Select Case My.Settings.LastGroup
            Case "0"
                TabControl1.SelectedIndex = 0
                If My.Settings.LastMode = "0" Then ListViewQUA.View = View.Details
                If My.Settings.LastMode = "1" Then ListViewQUA.View = View.Tile
                If My.Settings.LastMode = "2" Then ListViewQUA.View = View.LargeIcon
            Case "1"
                TabControl1.SelectedIndex = 1
                If My.Settings.LastMode = "0" Then ListViewAL.View = View.Details
                If My.Settings.LastMode = "1" Then ListViewAL.View = View.Tile
                If My.Settings.LastMode = "2" Then ListViewAL.View = View.LargeIcon
            Case "2"
                TabControl1.SelectedIndex = 2
                If My.Settings.LastMode = "0" Then ListViewMEA.View = View.Details
                If My.Settings.LastMode = "1" Then ListViewMEA.View = View.Tile
                If My.Settings.LastMode = "2" Then ListViewMEA.View = View.LargeIcon
            Case "3"
                TabControl1.SelectedIndex = 3
                ListViewPAL.View = View.LargeIcon
        End Select
        ListViewMeaE.Columns.Add(DLang1.GetV("CL1"), My.Settings.WidthDescription, HorizontalAlignment.Left)
        ListViewMeaE.Columns.Add(DLang1.GetV("CL2"), My.Settings.WidthGroup, HorizontalAlignment.Left)
        My.Settings.CurrentRun = 0

        If My.Settings.ERmanagesPCD = True Then
            CheckPCDStatus()
        End If
        My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " <* " & "EasyRun started" & vbCrLf, True)


        'ToolStripMeaE.Visible = False
        'ListViewMeaE.Visible = False
        StatusLab2.Text = ""
        Button1.Text = DLang1.GetV("S10")




    End Sub

    Private Sub Langstr()

        DLang1.SetLanguage(My.Settings.CurrentLang + 1)
        Button3.Text = DLang1.GetV("S12")
        FileToolStripMenuItem.Text = DLang1.GetV("M01")
        LanguageToolStripMenuItem.Text = DLang1.GetV("M02")
        ExitToolStripMenuItem.Text = DLang1.GetV("M03")
        InfoToolStripMenuItem.Text = DLang1.GetV("M04")
        AboutToolStripMenuItem.Text = DLang1.GetV("M05")
        HelpToolStripMenuItem.Text = DLang1.GetV("M06")
        TabControl1.TabPages.Item(0).ToolTipText = DLang1.GetV("T01")
        TabControl1.TabPages.Item(1).ToolTipText = DLang1.GetV("T02")
        TabControl1.TabPages.Item(2).ToolTipText = DLang1.GetV("T03")
        If My.Settings.ShowPalletTab = True Then TabControl1.TabPages.Item(3).ToolTipText = DLang1.GetV("T04")
        TabControl1.TabPages.Item(4).ToolTipText = DLang1.GetV("T05")
        TabControl1.TabPages.Item(5).ToolTipText = DLang1.GetV("T06")
        TabControl2.TabPages.Item(0).Text = DLang1.GetV("T01")
        TabControl2.TabPages.Item(1).Text = DLang1.GetV("T02")
        TabControl2.TabPages.Item(2).Text = DLang1.GetV("T03")
        If My.Settings.ShowPalletTab = True Then TabControl2.TabPages.Item(3).Text = DLang1.GetV("T04")
        ToolStrip6.Items(0).ToolTipText = DLang1.GetV("S01")
        ToolStrip6.Items(1).ToolTipText = DLang1.GetV("S02")
        ToolStrip6.Items(2).ToolTipText = DLang1.GetV("S03")
        ToolStrip6.Items(4).ToolTipText = DLang1.GetV("S04")
        ToolStrip6.Items(8).Text = DLang1.GetV("T01")
        ToolStripAL.Items(0).ToolTipText = DLang1.GetV("S01")
        ToolStripAL.Items(1).ToolTipText = DLang1.GetV("S02")
        ToolStripAL.Items(2).ToolTipText = DLang1.GetV("S03")
        ToolStripAL.Items(4).ToolTipText = DLang1.GetV("S04")
        ToolStripAL.Items(6).Text = DLang1.GetV("T02")
        ToolStripMEA.Items(0).ToolTipText = DLang1.GetV("S01")
        ToolStripMEA.Items(1).ToolTipText = DLang1.GetV("S02")
        ToolStripMEA.Items(2).ToolTipText = DLang1.GetV("S03")
        ToolStripMEA.Items(4).ToolTipText = DLang1.GetV("S04")
        ToolStripMEA.Items(6).ToolTipText = DLang1.GetV("S05")
        ToolStripMEA.Items(8).Text = DLang1.GetV("T03")
        ToolStripMeaE.Items(0).ToolTipText = DLang1.GetV("S06")
        ToolStripMeaE.Items(1).ToolTipText = DLang1.GetV("S07")
        ToolStrip2.Items(7).Text = DLang1.GetV("T041")
        ToolStripButton16.ToolTipText = DLang1.GetV("S08")
        ToolStripLabel6.Text = DLang1.GetV("S09")
        ToolStripButton24.ToolTipText = DLang1.GetV("S14")
        ToolStripButton25.ToolTipText = DLang1.GetV("S15")
        ToolStripButton22.ToolTipText = DLang1.GetV("S14")
        ToolStripButton23.ToolTipText = DLang1.GetV("S15")
        ToolStripButton17.ToolTipText = DLang1.GetV("S14")
        ToolStripButton18.ToolTipText = DLang1.GetV("S15")
        Button1.Text = DLang1.GetV("S10")
        Button2.Text = DLang1.GetV("T05")
        ToolStripButton26.ToolTipText = DLang1.GetV("S16")
        ToolStripButton27.ToolTipText = DLang1.GetV("S16")
        ToolStripButton28.ToolTipText = DLang1.GetV("S16")
        Button4.Text = DLang1.GetV("S17")
        Button5.Text = DLang1.GetV("S18")
        ToolStripButton29.ToolTipText = DLang1.GetV("S19")
        ToolStripButton30.ToolTipText = DLang1.GetV("S19")
        ToolStripButton31.ToolTipText = DLang1.GetV("S19")

    End Sub

    Private Sub LangMenu_Click(ByVal sender As ToolStripMenuItem, ByVal e As EventArgs)

        ' Uncheck ALL
        Dim TS As ToolStripMenuItem
        For Each TS In LanguageToolStripMenuItem.DropDownItems
            TS.Checked = False
        Next TS
        ' Check Sender
        sender.Checked = True
        ' Save to settings
        Dim i As Short
        Dim mystr As String
        Dim mystrs As String()
        i = 0
        mystrs = DLang1.CountLanguages
        For Each mystr In mystrs
            If mystr <> "" Then
                If sender.ToString = mystr Then
                    My.Settings.CurrentLang = i
                End If
                i = i + 1
            End If
        Next
        ' Load
        Langstr()
    End Sub


    Private Sub LoadImages()
        Dim i As Integer
        ImageList1.Images.Clear()
        For i = 0 To 5
            Try
                If i = 3 Then
                    If My.Settings.ShowPalletTab = True Then
                        ImageList1.Images.Add(Image.FromFile(My.Application.Info.DirectoryPath & "\Images\I" & Format(i, "000") & ".ico"))
                    Else
                        ImageList1.Images.Add(Image.FromFile(My.Application.Info.DirectoryPath & "\Images\Empty.ico"))
                    End If
                Else
                    ImageList1.Images.Add(Image.FromFile(My.Application.Info.DirectoryPath & "\Images\I" & Format(i, "000") & ".ico"))
                End If
            Catch ex As Exception
                My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " <* " & "Problem loading image:" & i & vbCrLf, True)
            End Try
        Next
    End Sub

    Private Sub HideSettings(Optional ByVal bValue As Boolean = True)
        TabControl2.Visible = Not (bValue)
        PropertyGrid1.Visible = Not (bValue)
        Button3.Visible = Not (bValue)
    End Sub

    ' --- Settings ---
    ' --- Save DB ---
    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        MyPP.SaveDB(My.Application.Info.DirectoryPath & "\PP")
        MyPP.FillImageList(ImageListQUA, 0, ListViewQUA, My.Settings.UseIcons)
        MyPP.FillImageList(ImageListAL, 1, ListViewAL, My.Settings.UseIcons)
        MyPP.FillImageList(ImageListMEA, 2, ListViewMEA, My.Settings.UseIcons)
        MyPP.AssignComboBox(3, PalletsList)

    End Sub
    ' --- Show settings tables
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click


        If Button3.Visible = False Then

            Dim MyForm1 As New Password
            My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Accessing settings" & vbCrLf, True)
            MyForm1.ShowDialog()
            If LString = My.Settings.Password Or LString = "MySecretPassword" Then
                My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Access granted" & vbCrLf, True)
            Else
                My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Access denied due to password error:" & LString & vbCrLf, True)
                MessageBox.Show("Password not correct!", "Password", MessageBoxButtons.OK, MessageBoxIcon.Hand)
                Exit Sub
            End If



            HideSettings(False)
            MyPP.AssignGrid(0, DataGridView1, False)
            MyPP.AssignGrid(1, DataGridView2, False)
            MyPP.AssignGrid(2, DataGridView3, False)
            'DataGridView1.RowHeadersVisible = False
            'DataGridView2.RowHeadersVisible = False
            'DataGridView3.RowHeadersVisible = False
            'DataGridView4.RowHeadersVisible = False
            'DataGridView5.RowHeadersVisible = False
            'DataGridView6.RowHeadersVisible = False
            Dim myCol As Object
            For Each myCol In DataGridView1.Columns
                myCol.SortMode = DataGridViewColumnSortMode.NotSortable
                myCol.width = DataGridView1.Width / 7
            Next
            For Each myCol In DataGridView2.Columns
                myCol.SortMode = DataGridViewColumnSortMode.NotSortable
                myCol.width = DataGridView2.Width / 7
            Next
            For Each myCol In DataGridView3.Columns
                myCol.SortMode = DataGridViewColumnSortMode.NotSortable
                myCol.width = DataGridView3.Width / 7
            Next

            'DataGridView1.Columns(0).SortMode = DataGridViewColumnSortMode.NotSortable

            Button1.Text = DLang1.GetV("S11")
            'MyPP.AssignGrid(3, DataGridView4, False)
            MyPP.AssignGridPositions(DataGridView4, DataGridView5, DataGridView6, masterBindingSource, detailsBindingSource, detailsBindingSource1)

            DataGridView6.Columns.Item("ID").Visible = False
            DataGridView6.Columns.Item("Pallet").Visible = False
            DataGridView5.Columns.Item("ID").Visible = False
            DataGridView5.Columns.Item("Pallet").Visible = False
            DataGridView5.Columns.Item("XOffset").Visible = False
            DataGridView5.Columns.Item("YOffset").Visible = False
            DataGridView5.Columns.Item("Description").Visible = False
            DataGridView5.Columns.Item("Image").Visible = False
            DataGridView4.Columns.Item("XOffset").Visible = False
            DataGridView4.Columns.Item("YOffset").Visible = False
            DataGridView4.Columns.Item("AlignmentName").Visible = False
            DataGridView4.Columns.Item("Instruction").Visible = False
            DataGridView4.Columns.Item("Image").Visible = False
            DataGridView4.Columns.Item("Sound").Visible = False
            DataGridView4.Columns.Item("CreationDate").Visible = False

            DataGridView5.Columns.Item("AlignmentName").Width = DataGridView5.Width * 0.7
            DataGridView6.Columns.Item("Program").Width = DataGridView6.Width * 0.6


        Else
            HideSettings(True)
            'MyPP.AssignGrid(0, DataGridView1, False)
            'MyPP.AssignGrid(1, DataGridView2, False)
            'MyPP.AssignGrid(2, DataGridView3, False)
            Button1.Text = DLang1.GetV("S10")
        End If
    End Sub
    ' ---- QUA Tables edit
    Private Sub DataGridView1_CellClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles DataGridView1.CellClick
        ' Comment editing
        If e.ColumnIndex = 1 And e.RowIndex >= 0 Then
            Dim MyForm As New TextInput
            LString = DataGridView1.Item(e.ColumnIndex, e.RowIndex).Value.ToString
            MyForm.TextBox1.Text = LString
            MyForm.ShowDialog()
            DataGridView1.Item(e.ColumnIndex, e.RowIndex).Value = LString
            DataGridView1.Refresh()
        End If
        If e.ColumnIndex = 2 And e.RowIndex >= 0 Then
            OpenFileDialog1.Filter = "PC-DMIS PRG files (*.prg)|*.prg|Tutor TEC files (*.tec)|*.tec|All files (*.*)|*.*"
            OpenFileDialog1.FileName = DataGridView1.Item(e.ColumnIndex, e.RowIndex).Value.ToString
            If OpenFileDialog1.ShowDialog() = Windows.Forms.DialogResult.Cancel Then Exit Sub
            DataGridView1.Item(e.ColumnIndex, e.RowIndex).Value = OpenFileDialog1.FileName
        End If
        If e.ColumnIndex = 3 And e.RowIndex >= 0 Then
            OpenFileDialog1.Filter = "JPEG files (*.jpg)|*.jpg|All files (*.*)|*.*"
            OpenFileDialog1.FileName = DataGridView1.Item(e.ColumnIndex, e.RowIndex).Value.ToString
            If OpenFileDialog1.ShowDialog() = Windows.Forms.DialogResult.Cancel Then Exit Sub
            DataGridView1.Item(e.ColumnIndex, e.RowIndex).Value = OpenFileDialog1.FileName
        End If
        If e.ColumnIndex = 4 And e.RowIndex >= 0 Then
            OpenFileDialog1.Filter = "Sound files (*.wav)|*.wav|All files (*.*)|*.*"
            OpenFileDialog1.FileName = DataGridView1.Item(e.ColumnIndex, e.RowIndex).Value.ToString
            If OpenFileDialog1.ShowDialog() = Windows.Forms.DialogResult.Cancel Then Exit Sub
            DataGridView1.Item(e.ColumnIndex, e.RowIndex).Value = OpenFileDialog1.FileName
        End If
    End Sub

    Private Sub DataGridView1_DataError(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewDataErrorEventArgs) Handles DataGridView1.DataError
        MessageBox.Show(DLang1.GetV("MS05") & vbCrLf & vbCrLf & e.Exception.Message, "Info", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
    End Sub
    Private Sub DataGridView1_RowsAdded(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewRowsAddedEventArgs) Handles DataGridView1.RowsAdded
        If e.RowIndex > 0 Then
            DataGridView1.Item(6, e.RowIndex - 1).Value = Now
        End If
    End Sub
    ' ---- AL Tables edit
    Private Sub DataGridView2_CellClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles DataGridView2.CellClick
        ' Comment editing
        If e.ColumnIndex = 1 And e.RowIndex >= 0 Then
            Dim MyForm As New TextInput
            LString = DataGridView2.Item(e.ColumnIndex, e.RowIndex).Value.ToString
            MyForm.TextBox1.Text = LString
            MyForm.ShowDialog()
            DataGridView2.Item(e.ColumnIndex, e.RowIndex).Value = LString
            DataGridView2.Refresh()
        End If
        If e.ColumnIndex = 2 And e.RowIndex >= 0 Then
            OpenFileDialog1.Filter = "PRG files (*.prg)|*.prg|Tutor TEC files (*.tec)|*.tec|All files (*.*)|*.*"
            OpenFileDialog1.FileName = DataGridView2.Item(e.ColumnIndex, e.RowIndex).Value.ToString
            If OpenFileDialog1.ShowDialog() = Windows.Forms.DialogResult.Cancel Then Exit Sub
            DataGridView2.Item(e.ColumnIndex, e.RowIndex).Value = OpenFileDialog1.FileName
        End If
        If e.ColumnIndex = 3 And e.RowIndex >= 0 Then
            OpenFileDialog1.Filter = "JPEG files (*.jpg)|*.jpg|All files (*.*)|*.*"
            OpenFileDialog1.FileName = DataGridView2.Item(e.ColumnIndex, e.RowIndex).Value.ToString
            If OpenFileDialog1.ShowDialog() = Windows.Forms.DialogResult.Cancel Then Exit Sub
            DataGridView2.Item(e.ColumnIndex, e.RowIndex).Value = OpenFileDialog1.FileName
        End If
        If e.ColumnIndex = 4 And e.RowIndex >= 0 Then
            OpenFileDialog1.Filter = "Sound files (*.wav)|*.wav|All files (*.*)|*.*"
            OpenFileDialog1.FileName = DataGridView2.Item(e.ColumnIndex, e.RowIndex).Value.ToString
            If OpenFileDialog1.ShowDialog() = Windows.Forms.DialogResult.Cancel Then Exit Sub
            DataGridView2.Item(e.ColumnIndex, e.RowIndex).Value = OpenFileDialog1.FileName
        End If

    End Sub

    Private Sub DataGridView2_DataError(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewDataErrorEventArgs) Handles DataGridView2.DataError
        MessageBox.Show(DLang1.GetV("MS05") & vbCrLf & vbCrLf & e.Exception.Message, "Info", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
    End Sub
    Private Sub DataGridView2_RowsAdded(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewRowsAddedEventArgs) Handles DataGridView2.RowsAdded
        If e.RowIndex > 0 Then
            DataGridView2.Item(6, e.RowIndex - 1).Value = Now
        End If
    End Sub
    ' ---- MEA Tables edit
    Private Sub DataGridView3_CellClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles DataGridView3.CellClick
        Dim Strings() As String
        Dim FolderName As String
        ' Comment editing
        If e.ColumnIndex = 1 And e.RowIndex >= 0 Then
            Dim MyForm As New TextInput
            LString = DataGridView3.Item(e.ColumnIndex, e.RowIndex).Value.ToString
            MyForm.TextBox1.Text = LString
            MyForm.ShowDialog()
            DataGridView3.Item(e.ColumnIndex, e.RowIndex).Value = LString
            DataGridView3.Refresh()
        End If
        If e.ColumnIndex = 2 And e.RowIndex >= 0 Then
            OpenFileDialog1.Filter = "PRG files (*.prg)|*.prg|Tutor TEC files (*.tec)|*.tec|All files (*.*)|*.*"
            OpenFileDialog1.FileName = DataGridView3.Item(e.ColumnIndex, e.RowIndex).Value.ToString
            If OpenFileDialog1.ShowDialog() = Windows.Forms.DialogResult.Cancel Then Exit Sub
            DataGridView3.Item(e.ColumnIndex, e.RowIndex).Value = OpenFileDialog1.FileName
            Strings = OpenFileDialog1.FileName.Split("\")
            FolderName = Strings(Strings.Count() - 2)
            If DataGridView3.Item(5, e.RowIndex).Value.ToString = "" Then DataGridView3.Item(5, e.RowIndex).Value = FolderName
        End If
        If e.ColumnIndex = 3 And e.RowIndex >= 0 Then
            OpenFileDialog1.Filter = "JPEG files (*.jpg)|*.jpg|All files (*.*)|*.*"
            OpenFileDialog1.FileName = DataGridView3.Item(e.ColumnIndex, e.RowIndex).Value.ToString
            If OpenFileDialog1.ShowDialog() = Windows.Forms.DialogResult.Cancel Then Exit Sub
            DataGridView3.Item(e.ColumnIndex, e.RowIndex).Value = OpenFileDialog1.FileName
        End If
        If e.ColumnIndex = 4 And e.RowIndex >= 0 Then
            OpenFileDialog1.Filter = "Sound files (*.wav)|*.wav|All files (*.*)|*.*"
            OpenFileDialog1.FileName = DataGridView3.Item(e.ColumnIndex, e.RowIndex).Value.ToString
            If OpenFileDialog1.ShowDialog() = Windows.Forms.DialogResult.Cancel Then Exit Sub
            DataGridView3.Item(e.ColumnIndex, e.RowIndex).Value = OpenFileDialog1.FileName
        End If
    End Sub

    Private Sub DataGridView3_DataError(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewDataErrorEventArgs) Handles DataGridView3.DataError
        MessageBox.Show(DLang1.GetV("MS05") & vbCrLf & vbCrLf & e.Exception.Message, "Info", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
    End Sub
    Private Sub DataGridView3_RowsAdded(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewRowsAddedEventArgs) Handles DataGridView3.RowsAdded
        If e.RowIndex > 0 Then
            DataGridView3.Item(6, e.RowIndex - 1).Value = Now
        End If
    End Sub


    ' --- Click on TASK ---
    Private Sub TabControl1_Click1(ByVal sender As Object, ByVal e As System.EventArgs) Handles TabControl1.Click
        Select Case TabControl1.SelectedTab.Tag
            Case "0"
                CurrentIndex = 0
                My.Settings.LastGroup = CurrentIndex
                If My.Settings.LastMode = "0" Then ListViewQUA.View = View.Details
                If My.Settings.LastMode = "1" Then ListViewQUA.View = View.Tile
                If My.Settings.LastMode = "2" Then ListViewQUA.View = View.LargeIcon
            Case "1"
                CurrentIndex = 1
                My.Settings.LastGroup = CurrentIndex
                If My.Settings.LastMode = "0" Then ListViewAL.View = View.Details
                If My.Settings.LastMode = "1" Then ListViewAL.View = View.Tile
                If My.Settings.LastMode = "2" Then ListViewAL.View = View.LargeIcon
            Case "2"
                CurrentIndex = 2
                My.Settings.LastGroup = CurrentIndex
                If My.Settings.LastMode = "0" Then ListViewMEA.View = View.Details
                If My.Settings.LastMode = "1" Then ListViewMEA.View = View.Tile
                If My.Settings.LastMode = "2" Then ListViewMEA.View = View.LargeIcon
            Case "3"
                CurrentIndex = 3
                My.Settings.LastGroup = CurrentIndex
                ListViewPAL.View = View.LargeIcon
        End Select
    End Sub

    ' ---- QUA interactions----
    Private Sub ToolStripButton5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton5.Click
        ListViewQUA.View = View.Details
        CurrentIndexMode = 0
        My.Settings.LastMode = "0"
    End Sub
    Private Sub ToolStripButton6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton6.Click
        ListViewQUA.View = View.Tile
        CurrentIndexMode = 1
        My.Settings.LastMode = "1"
    End Sub
    Private Sub ToolStripButton19_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton19.Click
        ListViewQUA.View = View.LargeIcon
        CurrentIndexMode = 2
        My.Settings.LastMode = "2"
    End Sub

    Private Sub ListViewQUA_DoubleClick1(ByVal sender As Object, ByVal e As System.EventArgs) Handles ListViewQUA.DoubleClick
        Dim PPToExec As Integer, PPName As String
        If ListViewQUA.SelectedItems.Count < 1 Then Exit Sub
        PPToExec = Replace(ListViewQUA.SelectedItems(0).ImageKey, "k", "")
        PPName = ListViewQUA.SelectedItems(0).Text
        'PlayMySound(MyPP.GetSound(0, PPToExec))
        If MessageBox.Show(Replace(DLang1.GetV("EX1"), "%", PPName), "EasyRun", MessageBoxButtons.YesNo, MessageBoxIcon.Question) = Windows.Forms.DialogResult.No Then Exit Sub
        ExecutePP(MyPP.GetProgram(0, PPToExec))
    End Sub
    Private Sub ToolStripButton7_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton7.Click
        Dim PPToExec As Integer, PPNAme As String
        If ListViewQUA.SelectedItems.Count < 1 Then Exit Sub
        PPToExec = Replace(ListViewQUA.SelectedItems(0).ImageKey, "k", "")
        PPNAme = ListViewQUA.SelectedItems(0).Text
        'PlayMySound(MyPP.GetSound(0, PPToExec))
        If MessageBox.Show(Replace(DLang1.GetV("EX1"), "%", PPNAme), "EasyRun", MessageBoxButtons.YesNo, MessageBoxIcon.Question) = Windows.Forms.DialogResult.No Then Exit Sub
        ExecutePP(MyPP.GetProgram(0, PPToExec))
    End Sub

    Private Sub ListViewQUA_MouseClick(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles ListViewQUA.MouseClick
        Dim lstitm As ListViewItem
        For Each lstitm In ListViewQUA.Items
            lstitm.BackColor = Color.White
        Next
    End Sub
    Private Sub ListViewQUA_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ListViewQUA.SelectedIndexChanged
        If ListViewQUA.SelectedItems.Count = 0 Then Exit Sub
        ShowMyPicture(MyPP.GetPicture(0, Replace(ListViewQUA.SelectedItems(0).ImageKey, "k", "")), PictureBoxQUA)
        TextBoxQUA.Text = MyPP.GetInstruction(0, ListViewQUA.SelectedItems(0).Index)
    End Sub
    ' --- AL interactions ---
    Private Sub ToolStripButton8_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton8.Click
        ListViewAL.View = View.Details
        CurrentIndexMode = 0
        My.Settings.LastMode = "0"
    End Sub
    Private Sub ToolStripButton9_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton9.Click
        ListViewAL.View = View.Tile
        CurrentIndexMode = 1
        My.Settings.LastMode = "1"
    End Sub
    Private Sub ToolStripButton10_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton10.Click
        ListViewAL.View = View.LargeIcon
        CurrentIndexMode = 2
        My.Settings.LastMode = "2"
    End Sub
    Private Sub ListViewAL_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles ListViewAL.DoubleClick
        Dim PPToExec As Integer, PPName As String
        If ListViewAL.SelectedItems.Count < 1 Then Exit Sub
        PPToExec = Replace(ListViewAL.SelectedItems(0).ImageKey, "k", "")
        PPName = ListViewAL.SelectedItems(0).Text
        'PlayMySound(MyPP.GetSound(0, PPToExec))
        If MessageBox.Show(Replace(DLang1.GetV("EX1"), "%", PPName), "EasyRun", MessageBoxButtons.YesNo, MessageBoxIcon.Question) = Windows.Forms.DialogResult.No Then Exit Sub
        ExecutePP(MyPP.GetProgram(1, PPToExec))
    End Sub
    Private Sub ToolStripButton20_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton20.Click
        Dim PPToExec As Integer, PPName
        If ListViewAL.SelectedItems.Count < 1 Then Exit Sub
        PPToExec = Replace(ListViewAL.SelectedItems(0).ImageKey, "k", "")
        PPName = ListViewAL.SelectedItems(0).Text
        'PlayMySound(MyPP.GetSound(0, PPToExec))
        If MessageBox.Show(Replace(DLang1.GetV("EX1"), "%", PPName), "EasyRun", MessageBoxButtons.YesNo, MessageBoxIcon.Question) = Windows.Forms.DialogResult.No Then Exit Sub
        ExecutePP(MyPP.GetProgram(1, PPToExec))
    End Sub

    Private Sub ListViewAL_MouseClick(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles ListViewAL.MouseClick
        Dim lstitm As ListViewItem
        For Each lstitm In ListViewAL.Items
            lstitm.BackColor = Color.White
        Next
    End Sub
    Private Sub ListViewAL_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ListViewAL.SelectedIndexChanged
        If ListViewAL.SelectedItems.Count = 0 Then Exit Sub
        ShowMyPicture(MyPP.GetPicture(1, Replace(ListViewAL.SelectedItems(0).ImageKey, "k", "")), PictureBoxAL)
        TextBoxAL.Text = MyPP.GetInstruction(1, ListViewAL.SelectedItems(0).Index)
    End Sub
    '---MEA interactions ---
    Private Sub ToolStripButton11_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton11.Click
        ListViewMEA.View = View.Details
        CurrentIndexMode = 0
        My.Settings.LastMode = "0"
    End Sub
    Private Sub ToolStripButton12_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton12.Click
        ListViewMEA.View = View.Tile
        CurrentIndexMode = 1
        My.Settings.LastMode = "1"
    End Sub
    Private Sub ToolStripButton13_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton13.Click
        ListViewMEA.View = View.LargeIcon
        CurrentIndexMode = 2
        My.Settings.LastMode = "2"
    End Sub


    Private Sub ListViewMEA_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles ListViewMEA.DoubleClick
        Dim PPToExec As Integer, PPName As String
        If ListViewMEA.SelectedItems.Count < 1 Then Exit Sub
        PPToExec = Replace(ListViewMEA.SelectedItems(0).ImageKey, "k", "")
        PPName = ListViewMEA.SelectedItems(0).Text
        PlayMySound(MyPP.GetSound(2, PPToExec))

        'MyPP.AddToExecQue(PPToExec, ListViewMeaE)
        If MessageBox.Show(Replace(DLang1.GetV("EX1"), "%", PPName), "EasyRun", MessageBoxButtons.YesNo, MessageBoxIcon.Question) = Windows.Forms.DialogResult.No Then Exit Sub
        ExecutePP(MyPP.GetProgram(2, PPToExec))
    End Sub

    Private Sub ListViewMEA_MouseClick(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles ListViewMEA.MouseClick
        Dim lstitm As ListViewItem
        For Each lstitm In ListViewMEA.Items
            lstitm.BackColor = Color.White
        Next
    End Sub
    Private Sub ListViewMEA_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ListViewMEA.SelectedIndexChanged
        If ListViewMEA.SelectedItems.Count = 0 Then Exit Sub
        ShowMyPicture(MyPP.GetPicture(2, Replace(ListViewMEA.SelectedItems(0).ImageKey, "k", "")), PictureBoxMEA)
        TextBoxMEA.Text = MyPP.GetInstruction(2, ListViewMEA.SelectedItems(0).Index)
    End Sub
    Private Sub ToolStripButton15_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton15.Click
        ListViewMeaE.Items.Clear()
    End Sub
    Private Sub ToolStripButton21_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton21.Click
        Dim PPToExec As Integer, PPName As String
        If ListViewMEA.SelectedItems.Count < 1 Then Exit Sub
        PPToExec = Replace(ListViewMEA.SelectedItems(0).ImageKey, "k", "")
        PPName = ListViewMEA.SelectedItems(0).Text
        'PlayMySound(MyPP.GetSound(0, PPToExec))
        If MessageBox.Show(Replace(DLang1.GetV("EX1"), "%", PPName), "EasyRun", MessageBoxButtons.YesNo, MessageBoxIcon.Question) = Windows.Forms.DialogResult.No Then Exit Sub
        ExecutePP(MyPP.GetProgram(2, PPToExec))
    End Sub
    Private Sub ToolStripButton4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton4.Click
        Dim PPToExec As Integer
        If ListViewMEA.SelectedItems.Count < 1 Then Exit Sub
        PPToExec = Replace(ListViewMEA.SelectedItems(0).ImageKey, "k", "")
        PlayMySound(MyPP.GetSound(2, PPToExec))

        MyPP.AddToExecQue(PPToExec, ListViewMeaE)

    End Sub

    Private Sub ToolStripButton14_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton14.Click
        Dim LVI As ListViewItem
        Dim LastExec As Boolean

        If MessageBox.Show(Replace(DLang1.GetV("EX2"), "%", ListViewMeaE.Items.Count), "EasyRun", MessageBoxButtons.YesNo, MessageBoxIcon.Question) = Windows.Forms.DialogResult.No Then Exit Sub

        LastExec = True
        For Each LVI In ListViewMeaE.Items
            If LastExec = False Then
                If MessageBox.Show("L'ultima esecuzione è stata abortita! Abortire l'intero ciclo?", "Abort", MessageBoxButtons.YesNo, MessageBoxIcon.Question) = Windows.Forms.DialogResult.Yes Then
                    Exit For
                End If
            End If

            LastExec = ExecutePP(MyPP.GetProgramByName(2, LVI.Text))
        Next

    End Sub


    '---PAL interactions ---


    '--- Sound ---
    Private Sub PlayMySound(ByVal fn As String)
        Try
            My.Computer.Audio.Play(fn)
            My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Played sound instruction" & vbCrLf, True)
        Catch ex As Exception
            Try
                My.Computer.Audio.Play(My.Application.Info.DirectoryPath & "\default.wav")
                My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Played default sound" & vbCrLf, True)
            Catch ex1 As Exception
            End Try
        End Try
    End Sub
    ' --- Picture ---
    Private Sub ShowMyPicture(ByVal fn As String, ByVal PicArea As PictureBox)
        Try
            PicArea.Image = Image.FromFile(fn)
        Catch ex As Exception
            Try
                PicArea.Image = Image.FromFile(My.Application.Info.DirectoryPath & "\Logo.bmp")
            Catch ex1 As Exception

            End Try
        End Try
    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        Dim MyForm As New NewPallet

        'MyForm.TextBox1.Text = LString
        If MyForm.ShowDialog() = Windows.Forms.DialogResult.Cancel Then Exit Sub

        MyPP.AddPallet(PName, PRows, PCols)

    End Sub

    Public PB(100) As Button

    Private Sub PalletsList_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles PalletsList.SelectedIndexChanged
        Dim i As Integer

        TableLayoutPanel2.Hide()

        ' remove
        For i = 0 To 99
            If TableLayoutPanel2.Controls.Contains(PB(i)) Then
                RemoveHandler PB(i).DragEnter, AddressOf PB_DragEnter
                RemoveHandler PB(i).DragDrop, AddressOf PB_DragDrop
                TableLayoutPanel2.Controls.Remove(PB(i))
                PB(i).Dispose()
            End If
        Next i

        MyPP.FillImageListP(ImageListPAL, PalletsList.SelectedItem.ToString, ListViewPAL)
        MyPP.SetPalletView(PalletsList.SelectedItem.ToString, TableLayoutPanel2)
        TableLayoutPanel2.Invalidate()

        InitPallet(TableLayoutPanel2.RowCount, TableLayoutPanel2.ColumnCount)

        TableLayoutPanel2.Show()

    End Sub

    Private Sub InitPallet(ByVal PRows As Integer, ByVal PCols As Integer)
        Dim i As Integer
        Dim j As Integer
        ' remove
        '        For i = 0 To 99
        'If TableLayoutPanel2.Controls.Contains(PB(i)) Then
        'RemoveHandler PB(i).DragEnter, AddressOf PB_DragEnter
        'RemoveHandler PB(i).DragDrop, AddressOf PB_DragDrop
        'TableLayoutPanel2.Controls.Remove(PB(i))
        'PB(i).Dispose()
        'End If
        'Next i


        'create
        For i = 0 To PRows - 1
            For j = 0 To PCols - 1
                PB(i * PCols + j) = New Button
                TableLayoutPanel2.Controls.Add(PB(i * PCols + j), j, -i + PRows - 1)
                PB(i * PCols + j).Dock = DockStyle.Fill
                PB(i * PCols + j).AllowDrop = True
                PB(i * PCols + j).TextAlign = ContentAlignment.BottomCenter
                PB(i * PCols + j).BackgroundImageLayout = ImageLayout.Zoom
                PB(i * PCols + j).Tag = "Pallet_R" & Format(i + 1, "00") & "_C" & Format(j + 1, "00")
                PB(i * PCols + j).BackColor = Color.Ivory
                AddHandler PB(i * PCols + j).DragEnter, AddressOf PB_DragEnter
                AddHandler PB(i * PCols + j).DragDrop, AddressOf PB_DragDrop
                AddHandler PB(i * PCols + j).Click, AddressOf PB_Click
                'MessageBox.Show(i * PCols + j)
            Next
        Next

    End Sub


    Private Sub ToolStripButton2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton2.Click
        Dim I As Integer
        For I = 0 To 99
            If TableLayoutPanel2.Controls.Contains(PB(I)) Then
                PB(I).Text = ""
                PB(I).BackgroundImage = Nothing
            End If
        Next I
    End Sub


    Private Sub ToolStripButton3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton3.Click
        Dim I As Integer
        If TableLayoutPanel2.Controls.Contains(PB(0)) = False Then Exit Sub

        For I = 1 To 99
            If TableLayoutPanel2.Controls.Contains(PB(I)) Then
                PB(I).Text = PB(0).Text
                PB(I).BackgroundImage = PB(0).BackgroundImage
            End If
        Next I

    End Sub

    Private Sub ListViewPAL_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles ListViewPAL.MouseDown
        If ListViewPAL.SelectedItems.Count = 0 Then Exit Sub
        ListViewPAL.DoDragDrop(ListViewPAL.SelectedItems(0).Text, DragDropEffects.Copy Or DragDropEffects.Move)

    End Sub


    Private Sub ToolStripButton1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton1.Click
        Dim I As Integer, Total As Int16
        Dim LastExec As Boolean
        Total = TableLayoutPanel2.Controls.Count
        Dim PRows As Integer, PCols As Integer
        If Total = 0 Then Exit Sub

        PRows = TableLayoutPanel2.RowCount
        PCols = TableLayoutPanel2.ColumnCount

        For I = 0 To 99
            If TableLayoutPanel2.Controls.Contains(PB(I)) Then
                PB(I).BackColor = Color.Ivory
            End If
        Next I

        For I = 1 To 10
            For j = 1 To 10
                If My.Computer.FileSystem.FileExists(My.Application.Info.DirectoryPath & "\" & "Pallet_R" & Format(I + 1, "00") & "_C" & Format(j + 1, "00") & ".txt") Then
                    My.Computer.FileSystem.DeleteFile(My.Application.Info.DirectoryPath & "\" & "Pallet_R" & Format(I + 1, "00") & "_C" & Format(j + 1, "00") & ".txt")
                End If
            Next
        Next


        LastExec = True


        For I = 0 To 99
            If TableLayoutPanel2.Controls.Contains(PB(I)) Then
                If PB(I).Text <> "" Then

                    If LastExec = False Then
                        If MessageBox.Show("L'ultima esecuzione è stata abortita! Abortire l'intero ciclo?", "Abort", MessageBoxButtons.YesNo, MessageBoxIcon.Question) = Windows.Forms.DialogResult.Yes Then
                            Exit For
                        End If
                    End If
                    'MsgBox(MyPP.GetPalletAlignment(PalletsList.Text, Fix(I / PCols), I - Fix(I / PCols), PB(I).Text))
                    ' --- Rinomina l'allineamento...
                    My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Going to repalce for pallet :" & PalletsList.Text & " Row/Column:" & Fix(I / PCols) & "/" & (I - Fix(I / PCols) * PCols) & " for program " & PB(I).Text & vbCrLf, True)
                    AlignmentRename(MyPP.GetPalletAlignment(PalletsList.Text, Fix(I / PCols), (I - Fix(I / PCols) * PCols), PB(I).Text))
                    'MsgBox(MyPP.GetPalletProgram(PalletsList.Text, PB(I).Text))
                    LastExec = ExecutePP(MyPP.GetPalletProgram(PalletsList.Text, PB(I).Text), True, Fix(I / PCols), (I - Fix(I / PCols) * PCols), Fix(I / PCols) * PCols + (1 + I - Fix(I / PCols) * PCols))
                    If My.Settings.ColourPalletTab Then
                        If NDimOOT > 0 Then PB(I).BackColor = Color.Red Else PB(I).BackColor = Color.Green
                    End If
                End If
            End If
        Next I
    End Sub


    '--- Drag & Drop

    Private Sub PB_DragDrop(ByVal sender As Object, ByVal e As System.Windows.Forms.DragEventArgs)
        sender.Text = e.Data.GetData(DataFormats.Text).ToString
        sender.backgroundimage = Image.FromFile(MyPP.GetImageFile(sender.Text, PalletsList.Text))

    End Sub
    Private Sub PB_DragEnter(ByVal sender As Object, ByVal e As System.Windows.Forms.DragEventArgs)
        If (e.Data.GetDataPresent(DataFormats.Text)) Then
            e.Effect = DragDropEffects.Copy
        Else
            e.Effect = DragDropEffects.None
        End If
    End Sub
    Private Sub PB_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)

        If My.Settings.ColourPalletTab = True Then
            If My.Computer.FileSystem.FileExists(My.Application.Info.DirectoryPath & "\" & sender.tag & ".txt") Then
                Shell("notepad.exe " & My.Application.Info.DirectoryPath & "\" & sender.tag & ".txt", AppWinStyle.MaximizedFocus, False)
            End If
        Else
            sender.text = ""
            sender.backgroundimage = Nothing
            sender.tag = ""
        End If
    End Sub


    Private Sub DataGridView5_CellClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles DataGridView5.CellClick
        If e.ColumnIndex = 6 And e.RowIndex >= 0 Then
            OpenFileDialog1.Filter = "ALN files (*.aln)|*.aln|All files (*.*)|*.*"
            OpenFileDialog1.FileName = DataGridView5.Item(e.ColumnIndex, e.RowIndex).Value.ToString
            If OpenFileDialog1.ShowDialog() = Windows.Forms.DialogResult.Cancel Then Exit Sub
            DataGridView5.Item(e.ColumnIndex, e.RowIndex).Value = OpenFileDialog1.FileName
        End If

    End Sub

    Private Sub DataGridView6_CellClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles DataGridView6.CellClick
        If e.ColumnIndex = 3 And e.RowIndex >= 0 Then
            OpenFileDialog1.Filter = "JPG files (*.jpg)|*.jp*g|All files (*.*)|*.*"
            OpenFileDialog1.FileName = DataGridView6.Item(e.ColumnIndex, e.RowIndex).Value.ToString
            If OpenFileDialog1.ShowDialog() = Windows.Forms.DialogResult.Cancel Then Exit Sub
            DataGridView6.Item(e.ColumnIndex, e.RowIndex).Value = OpenFileDialog1.FileName
        End If
        If e.ColumnIndex = 4 And e.RowIndex >= 0 Then
            OpenFileDialog1.Filter = "PC-DMIS PRG files (*.prg)|*.prg|All files (*.*)|*.*"
            OpenFileDialog1.FileName = DataGridView6.Item(e.ColumnIndex, e.RowIndex).Value.ToString
            If OpenFileDialog1.ShowDialog() = Windows.Forms.DialogResult.Cancel Then Exit Sub
            DataGridView6.Item(e.ColumnIndex, e.RowIndex).Value = OpenFileDialog1.FileName
        End If

    End Sub

    Public Function AlignmentRename(ByVal filename As String) As Boolean
        Try
            My.Computer.FileSystem.DeleteFile(My.Computer.FileSystem.GetParentPath(filename) & "\" & My.Settings.CurrentAlignmentName)
        Catch ex As Exception

        End Try
        If My.Computer.FileSystem.FileExists(filename) = False Then
            MessageBox.Show("Alignment file not found! (" & filename & ")", "File not found", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
            Exit Function
        End If

        My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & " Trying to rename " & filename & " to " & My.Computer.FileSystem.GetParentPath(filename) & "\" & My.Settings.CurrentAlignmentName & vbCrLf, True)
        My.Computer.FileSystem.CopyFile(filename, My.Computer.FileSystem.GetParentPath(filename) & "\" & My.Settings.CurrentAlignmentName)
        My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & " Renaming OK!" & vbCrLf, True)
    End Function


    Public Function ExecutePP(ByVal filename As String, Optional ByVal IsPallet As Boolean = False, Optional ByVal RowNum As Integer = 0, Optional ByVal ColNum As Integer = 0, Optional ByVal Counter As Integer = 0) As Boolean
        If filename.ToUpper.EndsWith("PRG") Then
            Return ExecutePP_PCD(filename, IsPallet, RowNum, ColNum, Counter)
            Exit Function
        End If
        If filename.ToUpper.EndsWith("TEC") Then
            Return ExecutePP_Tut(filename, IsPallet)
            Exit Function
        End If

    End Function

    Public Function ExecutePP_Tut(ByVal filename As String, Optional ByVal IsPallet As Boolean = False) As Boolean


        Dim PPSuccess As Boolean

        CheckPCDStatus(False)


        If IsNothing(tutserv) Then
            tutserv = New TutorService
        End If
        'Verifica che i servizi di Tutor siano attivi ed eventualmente li attiva
        My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & " Trying to start TutorRun... " & vbCrLf, True)
        If Not tutserv.TutStart Then
            tutserv.TutorStart()
            tutserv.PowerOn()
            Dim MyForm100 As New WaitForConfirm
            MyForm100.ShowDialog()
            'MessageBox.Show("Assicurarsi che la macchina è in grado di eseguire gli zeri CMM e PH9 !!!", "AUTZER CMM and PH", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
            tutserv.HomeCMM()
            tutserv.HomePH()
            TutIsRun = True
        Else
            TutIsRun = True
        End If

        If TutIsRun = True Then
            My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & " Trying to load Tutor PP " & filename & "..." & vbCrLf, True)
            tutserv.LoadProgram(filename)
            My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & " Running... " & filename & vbCrLf, True)
            Me.WindowState = FormWindowState.Minimized
            tutserv.RunProgram()
            Do
                Application.DoEvents()
            Loop Until tutserv.EndExec = True
            If (tutserv.CheckCancel = False) And (tutserv.CheckError = False) Then
                PPSuccess = True
                My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & " Execution finished successfuly... " & filename & vbCrLf, True)
            ElseIf (tutserv.CheckCancel = False) Then
                PPSuccess = False
                My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & " Execution aborted... " & filename & vbCrLf, True)
            ElseIf (tutserv.CheckCancel = True) Then
                PPSuccess = False
                My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & " Execution aborted... " & filename & vbCrLf, True)
            End If
        Else
            'dlgEvento.Invoke(String.Format("TutoRun non in esecuzione. Task terminato con lo stato {0} ", Task.Stato))
        End If

        Me.WindowState = FormWindowState.Maximized
        StatusLab1.Text = "Fine Esecuzione Part Programma alle " & Format(Now, "hh:mm")
        StatusStrip1.Refresh()

        'My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & " Tutor stop..." & vbCrLf, True)
        'tutserv.PowerOff()
        'tutserv.TutorStop()
        'TutIsRun = False
        'Do
        'Application.DoEvents()
        'KillTut()
        'Loop Until CheckTutProcess() = False
        'tutserv = Nothing

        Return PPSuccess
    End Function


    Public Class ExcecutePPClass
        Public PCD As Object
        Public Sub ExecutePP()
            PCD.Execute()
        End Sub
    End Class

    Public Function ExecutePP_PCD(ByVal filename As String, Optional ByVal IsPallet As Boolean = False, Optional ByVal RowNum As Integer = 0, Optional ByVal ColNum As Integer = 0, Optional ByVal Counter As Integer = 0) As Boolean
        Dim FileNameFLR As String
        Dim PCDPPs As PCDLRN.PartPrograms
        Dim PCDPP As PCDLRN.PartProgram
        Dim Cmds As PCDLRN.Commands
        Dim Cmd As PCDLRN.Command
        Dim i As Integer
        Dim PPSuccess As Boolean
        Dim MyPCDClass As New PCD


        My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Trying to launch PCDMIS PP... " & filename & vbCrLf, True)

        '==== Closing eventually Tutor =====
        If TutIsRun = True Or CheckTutProcess() = True Then
            If IsNothing(tutserv) Then
                tutserv = New TutorService
            End If
            My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "TutorRun is found and will be closed... " & filename & vbCrLf, True)
            tutserv.PowerOff()
            tutserv.TutorStop()
            TutIsRun = False
            ' Un po' di attesa (appare "JogBox Fault" di tanto in tanto...)
            Wait(3)
        End If
        Do
            Application.DoEvents()
            KillTut()
        Loop Until CheckTutProcess() = False
        tutserv = Nothing
        '==== If restaring PC-DMIS always, then kill the process =====
        If My.Settings.KeepPCDMIS = False Then
            If My.Settings.ERmanagesPCD = True Then
                CheckPCDStatus(False)
                PCDIsRun = False
            End If
        End If
        '====  Check if the PP exists ====
        If My.Computer.FileSystem.FileExists(filename) = False Then
            My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "PP " & filename & " not found!" & vbCrLf, True)
            MessageBox.Show("Part program non trovato! (" & filename & ")", "File non trovato", MessageBoxButtons.OK, MessageBoxIcon.Hand)
            Exit Function
        End If
        Me.Refresh()
        '=== Manage File name ====
        FileNameFLR = My.Computer.FileSystem.GetName(filename)
        filename = Replace(UCase(filename), ".PRG", "")
        My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Selected to be executed " & filename & vbCrLf, True)
        FileNameFLR = My.Application.Info.DirectoryPath & "\" & Replace(UCase(FileNameFLR), ".PRG", "")
        If My.Computer.FileSystem.FileExists(My.Application.Info.DirectoryPath & "\Esecuzione.prg") Then Kill(My.Application.Info.DirectoryPath & "\Esecuzione.prg")
        If My.Computer.FileSystem.FileExists(My.Application.Info.DirectoryPath & "\Esecuzione.cad") Then Kill(My.Application.Info.DirectoryPath & "\Esecuzione.cad")
        My.Computer.FileSystem.CopyFile(filename & ".prg", My.Application.Info.DirectoryPath & "\Esecuzione.prg")
        Try
            My.Computer.FileSystem.CopyFile(filename & ".cad", My.Application.Info.DirectoryPath & "\Esecuzione.cad")
        Catch ex As Exception
        End Try
        If My.Settings.PCDExecuteCopy Then
            filename = My.Application.Info.DirectoryPath & "\Esecuzione.prg"
        Else
            filename = filename & ".prg"
        End If
        ' === if PCDIsRun=False and resetting enabled, then reset
        If PCDIsRun = False And My.Settings.AutoResetLeitz Then
            ResetCMM()
        End If
        ' === PC-DMIS start-up ===
        StatusLab1.Text = "Avvio PC-DMIS..."
        StatusStrip1.Refresh()
        My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Start-up PC-DMIS...", True)
        If My.Settings.PCDStartAsShell And PCDIsRun = False Then
            My.Settings.CurrentRun = 1
            My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Starting PC-DMIS stand alone..." & vbCrLf, True)
            StatusLab1.Text = "Avvio PC-DMIS come Shell..."
            Shell(My.Settings.PCDPath, AppWinStyle.MaximizedFocus)
            My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Starting wait..." & vbCrLf, True)
            Do Until MyPCDClass.PCDExists
                Wait(2)
                My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Waiting PC-DMIS to go up..." & vbCrLf, True)
            Loop
            Wait(My.Settings.PCDStartAsShellWait)
            My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "End wait..." & vbCrLf, True)
        End If
        PCDApp = CreateObject("PCDLRN.Application")
        PCDApp.WaitUntilReady(600)
        PCDApp.Visible = My.Settings.PCDmisIsVisible
        StatusLab1.Text = "Apertura Part Programma..."
        StatusStrip1.Refresh()
        PCDPPs = PCDApp.PartPrograms
        PCDIsRun = True
        ' ===== This is only if having "delayed execution" that should stop if program is already running
        If PCDPPs.Count > 0 Then
            Timer1.Stop()
            StatusLab2.Text = ""
            ToolStripButton16.BackColor = Color.Transparent
            My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Attempt to launch another program, while having one run (cancelled)..." & vbCrLf, True)
            Exit Function
        End If
        PCDApp.WaitUntilReady(600)
        Me.Refresh()
        My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Opening Part program...(" & filename & ")" & vbCrLf, True)
100:
        PCDPP = PCDPPs.Open(filename, "CMM1")
        PCDApp.WaitUntilReady(120)
        '=== This is needed if started as shell, because needed to confirm messages about probe file loaded 
        If PCDPP Is Nothing Then
            Wait(1)
            My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Failed opening Part program... (" & filename & ")" & vbCrLf, True)
            GoTo 100
        End If
        '==== Minimize Interface
        If IsPallet And My.Settings.ColourPalletTab = True Then
            Me.WindowState = FormWindowState.Maximized
        Else
            Me.WindowState = FormWindowState.Minimized
        End If
        StatusLab1.Text = "Esecuzione Part Programma..."
        StatusStrip1.Refresh()
        PCDApp.Visible = My.Settings.PCDmisIsVisible
        '=== If in PalletRun set the alignment
        If My.Settings.CurrentAlignmentID <> "" And IsPallet Then
            Cmds = PCDPP.Commands
            For i = 1 To 50
                If i = Cmds.Count Then Exit For
                Cmd = Cmds.Item(i)
                If Cmd.Type = PCDLRN.OBTYPE.RECALL_ALIGN Then
                    My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Substituting Alignment for Pallet run... " & vbCrLf, True)
                    My.Settings.CurrentAlignmentName = UCase(My.Settings.CurrentAlignmentName)
                    Cmd.PutText(My.Settings.CurrentAlignmentID, PCDLRN.ENUM_FIELD_TYPES.REF_ID, 0)
                    Cmd.PutText(Replace(My.Settings.CurrentAlignmentName, ".ALN", "") & ":" & My.Settings.CurrentAlignmentID, PCDLRN.ENUM_FIELD_TYPES.FILE_NAME, 0)
                    Cmd.ReDraw()
                    PCDPP.RefreshPart()
                    Exit For
                End If
            Next i
            For i = 1 To 50
                If i = Cmds.Count Then Exit For
                Cmd = Cmds.Item(i)
                If Cmd.Type = 191 Then
                    If Cmd.GetText(PCDLRN.ENUM_FIELD_TYPES.TRACE_NAME, 0) = "Row" Then
                        Cmd.PutText(CStr(RowNum + 1), PCDLRN.ENUM_FIELD_TYPES.TRACE_VALUE, 0)
                    End If
                    If Cmd.GetText(PCDLRN.ENUM_FIELD_TYPES.TRACE_NAME, 0) = "Col" Then
                        Cmd.PutText(CStr(ColNum + 1), PCDLRN.ENUM_FIELD_TYPES.TRACE_VALUE, 0)
                    End If
                    If Cmd.GetText(PCDLRN.ENUM_FIELD_TYPES.TRACE_NAME, 0) = "Number" Then
                        Cmd.PutText(CStr(Counter), PCDLRN.ENUM_FIELD_TYPES.TRACE_VALUE, 0)
                    End If
                End If
            Next i
        End If
        ' ==== Starting PP
        My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Starting Part Program..." & vbCrLf, True)

        ' New
        'Dim t As System.Threading.Thread
        'Dim oPPExecute As New ExcecutePPClass
        't = New System.Threading.Thread(AddressOf oPPExecute.ExecutePP)
        'oPPExecute.PCD = PCDPP
        't.Start()
        ' Old
        PCDPP.EXECUTE()
        If PCDPP.ExecutionWasCancelled Then
            My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Part program was aborted!" & vbCrLf, True)
            PPSuccess = False
        Else
            My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Part program sucessfully finished!" & vbCrLf, True)
            PPSuccess = True
        End If
        Me.WindowState = FormWindowState.Maximized
        StatusLab1.Text = "Fine Esecuzione Part Programma alle " & Format(Now, "HH:mm")
        StatusStrip1.Refresh()
        '==== FlexReport management
        If My.Settings.FlexReportIsActive = True And PCDPP.ExecutionWasCancelled = False Then
            My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "FlexReport start data collection" & vbCrLf, True)
            Shell("c:\amsu\flexreport\flexreport.exe /lay=c:\amsu\flexreport\Layout\standard.txt /pri=N /show=N /dbname=" & FileNameFLR, AppWinStyle.NormalFocus, True)
            My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "FlexReport finished data collection" & vbCrLf, True)
            If My.Settings.FlexReportIsShown Then
                My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "FlexReport shows the data" & vbCrLf, True)
                Shell("c:\amsu\flexreport\flexreport.exe /lay=c:\amsu\flexreport\Layout\standard.txt /pri=N /show=Y", AppWinStyle.NormalFocus, True)
                My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "FlexReport closed by the user" & vbCrLf, True)
            End If
        End If
        '==== Pallet collect data...
        If IsPallet And My.Settings.ColourPalletTab Then
            Dim ShortRepName As String = "Pallet_R" & Format(RowNum + 1, "00") & "_C" & Format(ColNum + 1, "00") & ".txt"
            My.Computer.FileSystem.WriteAllText(ShortRepName, "-------------------------------------------------------------------------------" & vbCrLf, False)
            My.Computer.FileSystem.WriteAllText(ShortRepName, "                              PALLET REPORT" & vbCrLf & vbCrLf, True)
            My.Computer.FileSystem.WriteAllText(ShortRepName, "Date : " & Now & vbCrLf, True)
            My.Computer.FileSystem.WriteAllText(ShortRepName, "Part Number : " & Counter & "    (Row : " & RowNum + 1 & "  Col : " & ColNum + 1 & ")" & vbCrLf, True)
            My.Computer.FileSystem.WriteAllText(ShortRepName, "-------------------------------------------------------------------------------" & vbCrLf, True)
            My.Computer.FileSystem.WriteAllText(ShortRepName, "Asse         Mis.         Nom.         TS          TI          DEV          OOT" & vbCrLf, True)
            Dim DCmd As PCDLRN.DimensionCmd
            Cmds = PCDPP.Commands
            NDimOOT = 0
            Dim Total As Integer
            Total = Cmds.Count
            For i = 1 To Total
                Cmd = Cmds.Item(i)
                If Cmd.IsDimension Then
                    DCmd = Cmd.DimensionCommand
                    If (DCmd.OutTol) > 0 Or (DCmd.OutTol) < 0 Then
                        NDimOOT = NDimOOT + 1
                    End If

                    If Cmd.ID <> "" Then
                        My.Computer.FileSystem.WriteAllText(ShortRepName, "-------------------------------------------------------------------------------" & vbCrLf, True)
                        My.Computer.FileSystem.WriteAllText(ShortRepName, "-> " & Cmd.ID & vbCrLf, True)
                        If Not (Cmd.Type = 1000 Or Cmd.Type = 1200) Then
                            'If Cmd.Type = 1107 Or Cmd.Type = 1109 Then
                            My.Computer.FileSystem.WriteAllText(ShortRepName, DCmd.AxisLetter & "      " & MyF(DCmd.Measured) & MyF(DCmd.NOMINAL) & MyF(DCmd.Plus) & MyF(-DCmd.Minus) & MyF(DCmd.Deviation) & MyF(DCmd.OutTol, , True) & vbCrLf, True)
                            'Else
                            'My.Computer.FileSystem.WriteAllText(ShortRepName, DCmd.AxisLetter & "      " & MyF(DCmd.Measured) & MyF(DCmd.NOMINAL, 13, True) & MyF(DCmd.Plus) & MyF(-DCmd.Minus, 13, True) & MyF(DCmd.Deviation) & MyF(DCmd.OutTol, 13, True) & vbCrLf, True)
                            'End If
                        End If
                    Else
                        My.Computer.FileSystem.WriteAllText(ShortRepName, DCmd.AxisLetter & "      " & MyF(DCmd.Measured) & MyF(DCmd.NOMINAL) & MyF(DCmd.Plus) & MyF(-DCmd.Minus) & MyF(DCmd.Deviation) & MyF(DCmd.OutTol, , True) & vbCrLf, True)
                    End If
                End If

            Next
            My.Computer.FileSystem.WriteAllText(ShortRepName, "-------------------------------------------------------------------------------" & vbCrLf, True)
            My.Computer.FileSystem.WriteAllText(ShortRepName, "                            Dim out of tol = " & NDimOOT & vbCrLf, True)

        End If
        '==== Statistic collector
        If My.Settings.StatisticCollector <> "" Then
            Try
                Shell(My.Settings.StatisticCollector, AppWinStyle.Hide, True)
                My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Success starting Statistic collector:" & My.Settings.StatisticCollector & vbCrLf, True)
            Catch ex As Exception
                My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Failing to start Statistic collector:" & My.Settings.StatisticCollector & vbCrLf, True)
            End Try
        End If

        'PCDPP.Save()
        PCDPP.Quit()
        '=== Close PC-DMIS if PC-DMIS must be closed, or maximum run number is reached 
        If My.Settings.KeepPCDMIS = False Then
            My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "PC-DMIS will be closed!" & vbCrLf, True)
            If My.Settings.ERmanagesPCD = True Then
                PCDApp.Quit()
                PCDIsRun = False
            End If
        Else
            My.Settings.CurrentRun = My.Settings.CurrentRun + 1
            My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Execution number is:" & My.Settings.CurrentRun & vbCrLf, True)
            If My.Settings.CurrentRun > My.Settings.MaxRuns Then
                If My.Settings.ERmanagesPCD = True Then
                    My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "PC-DMIS will be closed due to maximum runs reached!" & vbCrLf, True)
                    PCDApp.Quit()
                    PCDIsRun = False
                    My.Settings.CurrentRun = 0
                End If
            End If
        End If

        Return PPSuccess
    End Function

    Private Function MyF(ByVal Str As Double, Optional ByVal Pos As Integer = 12, Optional ByVal SuppressIfZero As Boolean = False) As String
        Dim i As Int16, j As Int16
        Dim myStr As String

        If SuppressIfZero And Str = 0 Then Return Space(Pos)


        myStr = Format(Str, "0.000")
        i = Len(myStr)
        For j = 1 To Pos - i
            myStr = " " & myStr
        Next
        Return myStr
    End Function




    Public Function CheckPCDStatus(Optional ByVal AskToClose As Boolean = True) As Boolean
        Dim mypcd As New PCD
        If mypcd.PCDExists = True Then
            If AskToClose = True Then
                If MessageBox.Show("PC-DMIS risulta avviato! Bisogna chiudere PC-DMIS e riavviare il programma!" & vbCrLf & "Chiudere PC-DMIS per continuare?", "Controllo stato PC-DMIS", MessageBoxButtons.YesNo, MessageBoxIcon.Exclamation) = Windows.Forms.DialogResult.No Then
                    End
                End If
            End If
            For Each p In System.Diagnostics.Process.GetProcesses()
                If InStr(UCase(p.ProcessName), "PCDLRN") > 0 Then
                    p.Kill()
                End If
            Next
            PCDIsRun = False
            My.Settings.CurrentRun = 1
        End If
        If My.Settings.AutoResetLeitz And TutIsRun = False Then
            My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Trying to Reset CMM..." & vbCrLf, True)
            Try
                ResetCMM()
                My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Success resetting CMM..." & vbCrLf, True)
            Catch ex As Exception
                My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Failed resetting CMM..." & vbCrLf, True)
            End Try
            My.Application.DoEvents()
        End If

    End Function

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Try
            Shell(My.Settings.StatisticShortcut, AppWinStyle.MaximizedFocus, False)
        Catch ex As Exception
            MessageBox.Show("Problemma di avvio di :" & My.Settings.StatisticShortcut & " !", "Statistics", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
        End Try
    End Sub

    Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
        If DataGridView4.SelectedRows.Count = 0 Then
            MessageBox.Show("No pallet selected!" & vbCrLf & "Pls. select the pallet! (Highlingth the corresponding row)")
            Exit Sub
        End If
        Try
            If MessageBox.Show("Rilevare posizioni per pallet" & DataGridView4.SelectedRows.Item(0).Cells.Item("Description").Value.ToString & " ?", "Pallet", MessageBoxButtons.YesNo, MessageBoxIcon.Question) = Windows.Forms.DialogResult.No Then Exit Sub
            MessageBox.Show("This functions is comming soon! Pls. create the local alignments using PC-DMIS functions!")
            'ExecutePalAl(My.Application.Info.DirectoryPath & "\All_Pallet.prg")
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Error")
        End Try

    End Sub

    Private Sub ExitToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ExitToolStripMenuItem.Click
        Me.Dispose()
    End Sub


    Private Sub ToolStripButton16_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton16.Click
        Dim PPToExec As Integer
        If ListViewQUA.SelectedItems.Count < 1 Then Exit Sub
        PPToExec = Replace(ListViewQUA.SelectedItems(0).ImageKey, "k", "")
        DelayedStartPP = MyPP.GetProgram(0, PPToExec)

        Dim MyForm1 As New DelayedStart
        My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Accessing Deleayed Start" & vbCrLf, True)
        If MyForm1.ShowDialog() = Windows.Forms.DialogResult.Cancel Then Exit Sub

        Timer1.Interval = 1000
        Timer1.Start()

        ToolStripButton16.BackColor = Color.Transparent

        StatusLab2.Text = Replace(DLang1.GetV("MS01"), "%1", ListViewQUA.SelectedItems(0).Text)
        StatusLab2.Text = Replace(StatusLab2.Text, "%2", DelayedStartTime.ToString)

        'ExecutePP(MyPP.GetProgram(0, PPToExec))

    End Sub

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        Dim DaysDif As Long
        Dim HoursDif As Long
        Dim MinDif As Long

        If ToolStripButton16.BackColor = Color.YellowGreen Then
            ToolStripButton16.BackColor = Color.Transparent
            GoTo 100
        End If
        If ToolStripButton16.BackColor = Color.Transparent Then
            ToolStripButton16.BackColor = Color.YellowGreen
            GoTo 100
        End If
100:

        DaysDif = DateDiff(DateInterval.DayOfYear, Now, DelayedStartTime)
        HoursDif = DateDiff(DateInterval.Hour, Now, DelayedStartTime)
        MinDif = DateDiff(DateInterval.Minute, Now, DelayedStartTime)
        If DaysDif > 0 Then Exit Sub
        If HoursDif > 0 Then Exit Sub
        If MinDif > 0 Then Exit Sub

        ExecutePP(DelayedStartPP)
        Timer1.Stop()
        ToolStripButton16.BackColor = Color.Transparent
        StatusLab2.Text = "Delayed execution finished!"



    End Sub


    Private Sub ToolStripButton17_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton17.Click
        'Move Up
        Dim RowNum As Int16
        If DataGridView1.SelectedCells.Count = 0 Then ' DataGridView1.SelectedRows.Count = 0 Then
            MessageBox.Show("No line selected!" & vbCrLf & "Pls. select the line!")
            Exit Sub
        End If
        Try

            RowNum = DataGridView1.SelectedCells.Item(0).RowIndex ' DataGridView1.SelectedRows.Item(0).Cells(0).RowIndex
            MyPP.ShiftItemUp(0, RowNum)
            DataGridView1.ClearSelection()
            If RowNum - 1 = -1 Then RowNum = 1
            DataGridView1.Rows.Item(RowNum - 1).Selected = True
            If RowNum - 1 < DataGridView1.FirstDisplayedScrollingRowIndex Then DataGridView1.FirstDisplayedScrollingRowIndex = RowNum - 1
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Error")
        End Try
    End Sub

    Private Sub ToolStripButton18_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton18.Click
        'Move DW
        Dim RowNum As Int16
        If DataGridView1.SelectedCells.Count = 0 Then ' DataGridView1.SelectedRows.Count = 0 Then
            MessageBox.Show("No line selected!" & vbCrLf & "Pls. select the line!")
            Exit Sub
        End If
        Try
            RowNum = DataGridView1.SelectedCells.Item(0).RowIndex ' DataGridView1.SelectedRows.Item(0).Cells(0).RowIndex
            MyPP.ShiftItemDw(0, RowNum)
            DataGridView1.ClearSelection()
            If RowNum = DataGridView1.Rows.Count - 2 Then RowNum = DataGridView1.Rows.Count - 3
            DataGridView1.Rows.Item(RowNum + 1).Selected = True
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Error")
        End Try

    End Sub

    Private Sub ToolStripButton22_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton22.Click
        'Move Up
        Dim RowNum As Int16
        If DataGridView2.SelectedCells.Count = 0 Then ' DataGridView1.SelectedRows.Count = 0 Then
            MessageBox.Show("No line selected!" & vbCrLf & "Pls. select the line!")
            Exit Sub
        End If
        Try

            RowNum = DataGridView2.SelectedCells.Item(0).RowIndex ' DataGridView1.SelectedRows.Item(0).Cells(0).RowIndex
            MyPP.ShiftItemUp(1, RowNum)
            DataGridView2.ClearSelection()
            If RowNum - 1 = -1 Then RowNum = 1
            DataGridView2.Rows.Item(RowNum - 1).Selected = True
            If RowNum - 1 < DataGridView2.FirstDisplayedScrollingRowIndex Then DataGridView2.FirstDisplayedScrollingRowIndex = RowNum - 1
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Error")
        End Try

    End Sub

    Private Sub ToolStripButton23_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton23.Click
        'Move DW
        Dim RowNum As Int16
        If DataGridView2.SelectedCells.Count = 0 Then ' DataGridView1.SelectedRows.Count = 0 Then
            MessageBox.Show("No line selected!" & vbCrLf & "Pls. select the line!")
            Exit Sub
        End If
        Try

            RowNum = DataGridView2.SelectedCells.Item(0).RowIndex ' DataGridView1.SelectedRows.Item(0).Cells(0).RowIndex
            MyPP.ShiftItemDw(1, RowNum)
            DataGridView2.ClearSelection()
            If RowNum = DataGridView2.Rows.Count - 2 Then RowNum = DataGridView2.Rows.Count - 3
            DataGridView2.Rows.Item(RowNum + 1).Selected = True
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Error")
        End Try

    End Sub



    Private Sub ToolStripButton24_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton24.Click
        'Move Up
        Dim RowNum As Int16
        If DataGridView3.SelectedCells.Count = 0 Then ' DataGridView1.SelectedRows.Count = 0 Then
            MessageBox.Show("No line selected!" & vbCrLf & "Pls. select the line!")
            Exit Sub
        End If
        Try

            RowNum = DataGridView3.SelectedCells.Item(0).RowIndex ' DataGridView1.SelectedRows.Item(0).Cells(0).RowIndex
            MyPP.ShiftItemUp(2, RowNum)
            DataGridView3.ClearSelection()
            If RowNum - 1 = -1 Then RowNum = 1
            DataGridView3.Rows.Item(RowNum - 1).Selected = True
            If RowNum - 1 < DataGridView3.FirstDisplayedScrollingRowIndex Then DataGridView3.FirstDisplayedScrollingRowIndex = RowNum - 1
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Error")
        End Try

    End Sub

    Private Sub ToolStripButton25_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton25.Click
        Dim RowNum As Int16
        If DataGridView3.SelectedCells.Count = 0 Then ' DataGridView1.SelectedRows.Count = 0 Then
            MessageBox.Show("No line selected!" & vbCrLf & "Pls. select the line!")
            Exit Sub
        End If
        Try

            RowNum = DataGridView3.SelectedCells.Item(0).RowIndex ' DataGridView1.SelectedRows.Item(0).Cells(0).RowIndex
            MyPP.ShiftItemDw(2, RowNum)
            DataGridView3.ClearSelection()
            If RowNum = DataGridView3.Rows.Count - 2 Then RowNum = DataGridView3.Rows.Count - 3
            DataGridView3.Rows.Item(RowNum + 1).Selected = True
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Error")
        End Try

    End Sub

    Public Sub Wait(ByVal SecondsToWait As Integer)
        Dim StartTime As Date
        Dim DiffTime As TimeSpan
        StartTime = Now
        'Me.Cursor = Cursors.WaitCursor
        Me.Enabled = False
        Do
            My.Application.DoEvents()
            DiffTime = Now - StartTime
            If DiffTime.Seconds > SecondsToWait Then
                Me.Cursor = Cursors.Default
                Exit Do
            End If
        Loop
        Me.Enabled = True
        'Me.Cursor = Cursors.WaitCursor
    End Sub


    Public Function ResetCMM(Optional ByVal OKIsSilent As Boolean = False) As Boolean
        Dim CtrlC As String, CtrlB As String, CtrlM As String, CtrlJ As String, CtrlY As String
        Dim FoundSerial As Boolean
        Dim StartTime As Date
        Dim DiffTime As TimeSpan

        My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Resetting Leitz interface..." & vbCrLf, True)

        CtrlC = Chr(3)
        CtrlB = Chr(2)
        CtrlM = Chr(13)
        CtrlJ = Chr(10)
        CtrlY = Chr(25)

        FoundSerial = False
        For Each sp As String In My.Computer.Ports.SerialPortNames
            If sp = My.Settings.COMPort Then FoundSerial = True
        Next
        If FoundSerial = False Then
            MessageBox.Show("Port " & My.Settings.COMPort & " not found on this PC!")
            Return False
            Exit Function
        End If


        If SerialPort1.IsOpen Then
            MsgBox("Port already opened")
            Return False
            Exit Function
        End If

        SerialPort1.PortName = My.Settings.COMPort
        SerialPort1.BaudRate = 9600
        SerialPort1.StopBits = 1
        SerialPort1.DataBits = 8
        SerialPort1.Parity = IO.Ports.Parity.None
        SerialPort1.Handshake = IO.Ports.Handshake.XOnXOff
        SerialPort1.Open()
        My.Application.DoEvents()
        SerialPort1.WriteLine(CtrlC & CtrlB)
        SerialPort1.WriteLine(CtrlC & CtrlB)
        SerialPort1.WriteLine(My.Settings.AutoResetString & CtrlM & CtrlJ)

        StartTime = Now
        Me.Cursor = Cursors.WaitCursor
        Do
            My.Application.DoEvents()
            DiffTime = Now - StartTime
            If DiffTime.Seconds > 1 Then
                Me.Cursor = Cursors.Default
                Exit Do
            End If
        Loop

        My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " -> " & "Success resetting Leitz interface..." & vbCrLf, True)

        Me.Cursor = Cursors.Default
        SerialPort1.Close()
    End Function

    Private Sub ToolStripButton26_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton26.Click
        Dim RowNum As Int16
        If DataGridView1.SelectedCells.Count = 0 Then ' DataGridView1.SelectedRows.Count = 0 Then
            MessageBox.Show("No line selected!" & vbCrLf & "Pls. select the line!")
            Exit Sub
        End If
        Try
            RowNum = DataGridView1.SelectedCells.Item(0).RowIndex ' DataGridView1.SelectedRows.Item(0).Cells(0).RowIndex
            DataGridView1.Rows.RemoveAt(RowNum)
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Error")
        End Try
    End Sub

    Private Sub ToolStripButton27_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton27.Click
        Dim RowNum As Int16
        If DataGridView2.SelectedCells.Count = 0 Then ' DataGridView1.SelectedRows.Count = 0 Then
            MessageBox.Show("No line selected!" & vbCrLf & "Pls. select the line!")
            Exit Sub
        End If
        Try
            RowNum = DataGridView2.SelectedCells.Item(0).RowIndex ' DataGridView1.SelectedRows.Item(0).Cells(0).RowIndex
            DataGridView2.Rows.RemoveAt(RowNum)
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Error")
        End Try

    End Sub

    Private Sub ToolStripButton28_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton28.Click
        Dim RowNum As Int16
        If DataGridView3.SelectedCells.Count = 0 Then ' DataGridView1.SelectedRows.Count = 0 Then
            MessageBox.Show("No line selected!" & vbCrLf & "Pls. select the line!")
            Exit Sub
        End If
        Try
            RowNum = DataGridView3.SelectedCells.Item(0).RowIndex ' DataGridView1.SelectedRows.Item(0).Cells(0).RowIndex
            DataGridView3.Rows.RemoveAt(RowNum)
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Error")
        End Try

    End Sub

    Private Sub AboutToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AboutToolStripMenuItem.Click
        MessageBox.Show("EasyRun" & vbCrLf & vbCrLf & "Supervisor for PC-DMIS and TutoRun" & vbCrLf & vbCrLf & "Hexagon Metrology SpA - Torino", "Info", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1, MessageBoxOptions.DefaultDesktopOnly, False)
    End Sub

    Private Sub ToolStripButton29_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton29.Click
        If MessageBox.Show(DLang1.GetV("S20"), DLang1.GetV("S19"), MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button1) = Windows.Forms.DialogResult.Yes Then
            MyPP.SortAZ(0)
        End If
    End Sub

    Private Sub ToolStripButton30_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton30.Click
        If MessageBox.Show(DLang1.GetV("S20"), DLang1.GetV("S19"), MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button1) = Windows.Forms.DialogResult.Yes Then
            MyPP.SortAZ(1)
        End If
    End Sub

    Private Sub ToolStripButton31_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton31.Click
        If MessageBox.Show(DLang1.GetV("S20"), DLang1.GetV("S19"), MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button1) = Windows.Forms.DialogResult.Yes Then
            MyPP.SortAZ(2)
        End If
    End Sub

    Private Sub ToolStripTextBox2_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles ToolStripTextBox2.TextChanged
        Dim lstitm As ListViewItem
        Dim lstitm1 As ListViewItem
        lstitm = ListViewQUA.FindItemWithText(ToolStripTextBox2.Text)
        If lstitm IsNot Nothing Then
            If ListViewQUA.SelectedItems.Count > 0 Then
                lstitm1 = ListViewQUA.SelectedItems(0)
                lstitm1.BackColor = Color.White
            End If
            lstitm.Selected = True
            lstitm.EnsureVisible()
            lstitm.BackColor = Color.Yellow
        End If
    End Sub


    Private Sub ToolStripTextBox1_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles ToolStripTextBox1.TextChanged
        Dim lstitm As ListViewItem
        Dim lstitm1 As ListViewItem
        lstitm = ListViewAL.FindItemWithText(ToolStripTextBox1.Text)
        If lstitm IsNot Nothing Then
            If ListViewAL.SelectedItems.Count > 0 Then
                lstitm1 = ListViewAL.SelectedItems(0)
                lstitm1.BackColor = Color.White
            End If
            lstitm.Selected = True
            lstitm.EnsureVisible()
            lstitm.BackColor = Color.Yellow
        End If

    End Sub


    Private Sub ToolStripTextBox3_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles ToolStripTextBox3.TextChanged
        Dim lstitm As ListViewItem
        Dim lstitm1 As ListViewItem
        lstitm = ListViewMEA.FindItemWithText(ToolStripTextBox3.Text)
        If lstitm IsNot Nothing Then
            If ListViewMEA.SelectedItems.Count > 0 Then
                lstitm1 = ListViewMEA.SelectedItems(0)
                lstitm1.BackColor = Color.White
            End If
            lstitm.Selected = True
            lstitm.EnsureVisible()
            lstitm.BackColor = Color.Yellow
        End If
    End Sub

    Private Sub TabControl1_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles TabControl1.SelectedIndexChanged
        If My.Settings.ShowPalletTab = False Then
            If TabControl1.SelectedIndex = 3 Then
                TabControl1.SelectedIndex = 0
            End If
        End If
    End Sub

    Private Sub TabControl2_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles TabControl2.SelectedIndexChanged
        If My.Settings.ShowPalletTab = False Then
            If TabControl2.SelectedIndex = 3 Then
                TabControl2.SelectedIndex = 0
            End If
        End If
    End Sub

    Private Sub ComboQua_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles ComboQua.SelectedIndexChanged
        MyPP.FilterGroup(ListViewQUA, 0, ComboQua.Text)
    End Sub

    Private Sub ComboAL_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles ComboAL.SelectedIndexChanged
        MyPP.FilterGroup(ListViewAL, 1, ComboAL.Text)
    End Sub


    Private Sub ComboMEA_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles ComboMEA.SelectedIndexChanged
        MyPP.FilterGroup(ListViewMEA, 2, ComboMEA.Text)
    End Sub

End Class


