﻿Public Class PCD
    Dim PCDApp As PCDLRN.Application
    Dim PP As PCDLRN.PartProgram
    Dim PPs As PCDLRN.PartPrograms
    Dim Cmds As PCDLRN.Commands
    Dim Cmd As PCDLRN.Command
    Dim Prbs As PCDLRN.Probes
    Dim Prb As PCDLRN.probe
    Dim Tps As PCDLRN.Tips
    Dim Tp As PCDLRN.Tip

    Declare Auto Function FindWindow Lib "USER32.DLL" (ByVal lpClassName As String, ByVal lpWindowName As String) As IntPtr

    Public Function InitPCD() As Boolean

        If PCDExists() = True Then
            MessageBox.Show("PC-DMIS is running! Please close it in order to continue!")
            Return False
        End If

        PCDApp = CreateObject("PCDLRN.Application")
        If PCDApp Is Nothing Then Return False
        PCDApp.Visible = True
        PCDApp.Maximize()
        Return True
    End Function

    Public Function PCDExists() As Boolean
        Dim lpclassname As String
        Dim Result As Integer

        PCDExists = True
        lpclassname = "WilcoxAssociatesIncPC-DMISWndClass"
        Result = FindWindow(lpclassname, vbNullString)
        If Result = 0 Then
            PCDExists = False
        End If
    End Function

    Public Sub Close()
        Try
            PP.Quit()
        Catch ex As Exception

        End Try

        Try
            PCDApp.Quit()
            PCDApp = Nothing
        Catch ex As Exception

        End Try
    End Sub
End Class

