﻿Imports System.ComponentModel

Public Class clsPPData
    Private mPPDescripton As String
    Private mPPLDescripton As String
    Private mPPDestination As String
    Private mPPImage As String
    Private mPPSound As String
    Private mCreationDate As Date


    <CategoryAttribute("Identification"), _
       Browsable(True), _
       [ReadOnly](False), _
       BindableAttribute(False), _
       DefaultValueAttribute(""), _
       DesignOnly(False), _
       DescriptionAttribute("Descrizione del programma")> _
    Public Property PPDescription() As String
        Get
            Return mPPDescripton
        End Get
        Set(ByVal value As String)
            mPPDescripton = value
        End Set
    End Property
    <CategoryAttribute("Identification"), _
       Browsable(True), _
       [ReadOnly](False), _
       BindableAttribute(False), _
       DefaultValueAttribute(""), _
       DesignOnly(False), _
       DescriptionAttribute("Istruzioni per l'operatore")> _
    Public Property PPLDescription() As String
        Get
            Return mPPLDescripton
        End Get
        Set(ByVal value As String)
            mPPLDescripton = value
        End Set
    End Property
    <CategoryAttribute("Identification"), _
       Browsable(True), _
       [ReadOnly](False), _
       BindableAttribute(False), _
       DefaultValueAttribute(""), _
       DesignOnly(False), _
       DescriptionAttribute("Immagine")> _
    Public Property PPImage() As String
        Get
            Return mPPImage
        End Get
        Set(ByVal value As String)
            mPPImage = value
        End Set
    End Property
    <CategoryAttribute("Identification"), _
       Browsable(True), _
       [ReadOnly](False), _
       BindableAttribute(False), _
       DefaultValueAttribute(""), _
       DesignOnly(False), _
       DescriptionAttribute("Istruzioni vocali")> _
    Public Property PPSound() As String
        Get
            Return mPPSound
        End Get
        Set(ByVal value As String)
            mPPSound = value
        End Set
    End Property
    <CategoryAttribute("Identification"), _
       Browsable(True), _
       [ReadOnly](False), _
       BindableAttribute(False), _
       DefaultValueAttribute(""), _
       DesignOnly(False), _
       DescriptionAttribute("Date of creation")> _
    Public Property CreationDate() As Date
        Get
            Return mCreationDate
        End Get
        Set(ByVal value As Date)
            mCreationDate = value
        End Set
    End Property
End Class

Public Class clsPPManger
    Dim MyDB As New DataSet
    Dim MyDBSets As New DataSet
    Public Sub CreateDB()
        Dim MyTable As DataTable
        Dim MyTable1 As DataTable
        Dim MyTable2 As DataTable

        MyDB.Clear()
        MyDB = Nothing
        MyDB = New DataSet

        MyTable = New Data.DataTable("CalibrationPPs")
        MyDB.Tables.Add(MyTable)
        Dim cPPDescription As New DataColumn("Description", Type.GetType("System.String"))
        Dim cPPInstruction As New DataColumn("Instruction", Type.GetType("System.String"))
        Dim cPPDestination As New DataColumn("Program", Type.GetType("System.String"))
        Dim cPPImage As New DataColumn("Image", Type.GetType("System.String"))
        Dim cPPSound As New DataColumn("Sound", Type.GetType("System.String"))
        Dim cPPGroup As New DataColumn("Group", Type.GetType("System.String"))
        Dim cCreationDate As New DataColumn("CreationDate", Type.GetType("System.DateTime"))
        Dim cBarCode As New DataColumn("BarCode", Type.GetType("System.String"))
        cPPDescription.Unique = True
        'idC.AutoIncrement = True
        MyTable.Columns.Add(cPPDescription)
        MyTable.Columns.Add(cPPInstruction)
        MyTable.Columns.Add(cPPDestination)
        MyTable.Columns.Add(cPPImage)
        MyTable.Columns.Add(cPPSound)
        MyTable.Columns.Add(cPPGroup)
        MyTable.Columns.Add(cCreationDate)
        MyTable.Columns.Add(cBarCode)
        Dim PKey(1) As DataColumn
        PKey(0) = cPPDescription
        MyTable.PrimaryKey = PKey
        MyDB.AcceptChanges()

        MyTable1 = MyTable.Copy()
        MyTable1.TableName = "AlignmentPPs"
        MyDB.Tables.Add(MyTable1)
        MyDB.AcceptChanges()

        MyTable2 = MyTable.Copy()
        MyTable2.TableName = "MeasurementPPs"
        MyDB.Tables.Add(MyTable2)
        MyDB.AcceptChanges()


        MyTable = New Data.DataTable("Pallets")
        MyDB.Tables.Add(MyTable)
        Dim cPalletDescription As New DataColumn("Description", Type.GetType("System.String"))
        Dim cPalletInstruction As New DataColumn("Instruction", Type.GetType("System.String"))
        Dim cPalletImage As New DataColumn("Image", Type.GetType("System.String"))
        Dim cPalletSound As New DataColumn("Sound", Type.GetType("System.String"))
        Dim cPalletRows As New DataColumn("Rows", Type.GetType("System.Int32"))
        Dim cPalletColumns As New DataColumn("Columns", Type.GetType("System.Int32"))
        Dim cPalletAlignmentName As New DataColumn("AlignmentName", Type.GetType("System.String"))
        Dim cPalletXOff As New DataColumn("XOffset", Type.GetType("System.Double"))
        Dim cPalletYOff As New DataColumn("YOffset", Type.GetType("System.Double"))
        Dim cPalletCreationDate As New DataColumn("CreationDate", Type.GetType("System.DateTime"))
        Dim cPalletShiftInCMMCSY As New DataColumn("ShiftInCMMCSY", Type.GetType("System.Boolean"))
        cPalletDescription.Unique = True
        'idC.AutoIncrement = True
        MyTable.Columns.Add(cPalletDescription)
        MyTable.Columns.Add(cPalletInstruction)
        MyTable.Columns.Add(cPalletImage)
        MyTable.Columns.Add(cPalletSound)
        MyTable.Columns.Add(cPalletRows)
        MyTable.Columns.Add(cPalletColumns)
        MyTable.Columns.Add(cPalletAlignmentName)
        MyTable.Columns.Add(cPalletXOff)
        MyTable.Columns.Add(cPalletYOff)
        MyTable.Columns.Add(cPalletCreationDate)
        MyTable.Columns.Add(cPalletShiftInCMMCSY)
        PKey(0) = cPalletDescription
        MyTable.PrimaryKey = PKey
        MyDB.AcceptChanges()


        MyTable = New Data.DataTable("PalletPositions")
        MyDB.Tables.Add(MyTable)
        Dim idC As New DataColumn("ID", Type.GetType("System.Int32"))
        Dim cPallet As New DataColumn("Pallet", Type.GetType("System.String"))
        Dim cPositionDescription As New DataColumn("Description", Type.GetType("System.String"))
        Dim cPositionImage As New DataColumn("Image", Type.GetType("System.String"))
        Dim cPositionRow As New DataColumn("Row", Type.GetType("System.Int32"))
        Dim cPositionColumn As New DataColumn("Column", Type.GetType("System.Int32"))
        Dim cPositionAlignmentName As New DataColumn("AlignmentName", Type.GetType("System.String"))
        Dim cPositionXOff As New DataColumn("XOffset", Type.GetType("System.Double"))
        Dim cPositionYOff As New DataColumn("YOffset", Type.GetType("System.Double"))
        idC.Unique = True
        idC.AutoIncrement = True
        MyTable.Columns.Add(idC)
        MyTable.Columns.Add(cPallet)
        MyTable.Columns.Add(cPositionDescription)
        MyTable.Columns.Add(cPositionImage)
        MyTable.Columns.Add(cPositionRow)
        MyTable.Columns.Add(cPositionColumn)
        MyTable.Columns.Add(cPositionAlignmentName)
        MyTable.Columns.Add(cPositionXOff)
        MyTable.Columns.Add(cPositionYOff)
        PKey(0) = idC
        MyTable.PrimaryKey = PKey
        MyDB.Relations.Add("Relation1", MyDB.Tables("Pallets").Columns("Description"), cPallet)
        MyDB.AcceptChanges()


        MyTable = New Data.DataTable("PalletPPs")
        MyDB.Tables.Add(MyTable)
        Dim idC1 As New DataColumn("ID", Type.GetType("System.Int32"))
        Dim cPallet1 As New DataColumn("Pallet", Type.GetType("System.String"))
        Dim cPalletPPDescription As New DataColumn("Description", Type.GetType("System.String"))
        Dim cPalletPPImage As New DataColumn("Image", Type.GetType("System.String"))
        Dim cPalletPPDestination As New DataColumn("Program", Type.GetType("System.String"))
        idC1.Unique = True
        idC1.AutoIncrement = True
        MyTable.Columns.Add(idC1)
        MyTable.Columns.Add(cPallet1)
        MyTable.Columns.Add(cPalletPPDescription)
        MyTable.Columns.Add(cPalletPPImage)
        MyTable.Columns.Add(cPalletPPDestination)
        PKey(0) = idC1
        MyTable.PrimaryKey = PKey
        MyDB.Relations.Add("Relation2", MyDB.Tables("Pallets").Columns("Description"), cPallet1)
        MyDB.AcceptChanges()

    End Sub

    Public Sub CreateDBSets()
        Dim MyTable As DataTable

        MyDBSets.Clear()
        MyDBSets = Nothing
        MyDBSets = New DataSet

        Dim PKey(1) As DataColumn

        MyTable = New Data.DataTable("SavedSets")
        MyDBSets.Tables.Add(MyTable)
        Dim cSetName As New DataColumn("SavedSet", Type.GetType("System.String"))
        cSetName.Unique = True
        MyTable.Columns.Add(cSetName)
        PKey(0) = cSetName
        MyTable.PrimaryKey = PKey
        MyDBSets.AcceptChanges()

        MyTable = New Data.DataTable("SetProgNames")
        MyDBSets.Tables.Add(MyTable)
        Dim idCS As New DataColumn("ID", Type.GetType("System.Int32"))
        Dim cSetNames As New DataColumn("SetName", Type.GetType("System.String"))
        Dim cProgName As New DataColumn("ProgName", Type.GetType("System.String"))
        Dim cGroupName As New DataColumn("GroupName", Type.GetType("System.String"))
        idCS.Unique = True
        idCS.AutoIncrement = True
        MyTable.Columns.Add(idCS)
        MyTable.Columns.Add(cSetNames)
        MyTable.Columns.Add(cProgName)
        MyTable.Columns.Add(cGroupName)
        PKey(0) = idCS
        MyTable.PrimaryKey = PKey
        MyDBSets.Relations.Add("RelationS", MyDBSets.Tables("SavedSets").Columns("SavedSet"), cSetNames)
        MyDBSets.AcceptChanges()
    End Sub



    Public Function GetSound(ByVal TabIdx As Integer, ByVal RowNum As Integer) As String
        Return MyDB.Tables(TabIdx).Rows(RowNum).Item("Sound").ToString
    End Function
    Public Function GetProgram(ByVal TabIdx As Integer, ByVal RowNum As Integer) As String
        Return MyDB.Tables(TabIdx).Rows(RowNum).Item("Program").ToString
    End Function
    Public Function GetProgramByName(ByVal TabIdx As Integer, ByVal DescrName As String) As String
        Dim MyRow As DataRow
        For Each MyRow In MyDB.Tables(TabIdx).Rows
            If MyRow.Item("Description") = DescrName Then
                If MyRow.Item("Program") Is DBNull.Value Then
                    Return ""
                Else
                    Return MyRow.Item("Program")
                End If
            End If
        Next
        Return ""
    End Function

    Public Function ShiftItemUp(ByVal TabIdx As Integer, ByVal RowNumber As String) As String
        Dim newRow1 As DataRow = MyDB.Tables(TabIdx).NewRow()
        Dim newRow2 As DataRow = MyDB.Tables(TabIdx).NewRow()

        If RowNumber = 0 Then Return "" : Exit Function

        newRow1.ItemArray = MyDB.Tables(TabIdx).Rows.Item(RowNumber).ItemArray
        newRow2.ItemArray = MyDB.Tables(TabIdx).Rows.Item(RowNumber - 1).ItemArray


        MyDB.Tables(TabIdx).Rows.RemoveAt(RowNumber)
        MyDB.Tables(TabIdx).Rows.RemoveAt(RowNumber - 1)

        MyDB.Tables(TabIdx).Rows.InsertAt(newRow1, RowNumber - 1)
        MyDB.Tables(TabIdx).Rows.InsertAt(newRow2, RowNumber)
        'MyDB.AcceptChanges()


        Return ""
    End Function
    Public Function ShiftItemDw(ByVal TabIdx As Integer, ByVal RowNumber As String) As String
        Dim newRow1 As DataRow = MyDB.Tables(TabIdx).NewRow()
        Dim newRow2 As DataRow = MyDB.Tables(TabIdx).NewRow()

        If RowNumber = MyDB.Tables(TabIdx).Rows.Count - 1 Then Return "" : Exit Function

        newRow1.ItemArray = MyDB.Tables(TabIdx).Rows.Item(RowNumber).ItemArray
        newRow2.ItemArray = MyDB.Tables(TabIdx).Rows.Item(RowNumber + 1).ItemArray


        MyDB.Tables(TabIdx).Rows.RemoveAt(RowNumber)
        MyDB.Tables(TabIdx).Rows.RemoveAt(RowNumber)

        MyDB.Tables(TabIdx).Rows.InsertAt(newRow1, RowNumber)
        MyDB.Tables(TabIdx).Rows.InsertAt(newRow2, RowNumber)

        'MyDB.AcceptChanges()


        Return ""
    End Function


    Public Function SortAZ(ByVal TabIdx As Integer) As String
        Dim sortExp As String = "Description"
        Dim i As Integer
        Dim drarray() As DataRow
        Dim Mytable1 As DataTable

        Mytable1 = MyDB.Tables(TabIdx).Copy()
        Mytable1.TableName = "Temp"
        MyDB.Tables.Add(MyTable1)
        MyDB.AcceptChanges()


        drarray = MyDB.Tables("Temp").Select(CBool(1), sortExp)


        MyDB.Tables(TabIdx).Clear()

        For i = 0 To (drarray.Length - 1)
            MyDB.Tables(TabIdx).Rows.Add(drarray(i).ItemArray)
        Next


        MyDB.Tables("Temp").Clear()
        MyDB.Tables.Remove("Temp")
        MyDB.AcceptChanges()

        Return ""
    End Function


    Public Function FindFreePalletname() As String
        Dim MyRow As DataRow
        Dim i As Integer
        Dim PalletName As String
        Dim Found As Boolean
        i = 1
        For i = 1 To 10000
            PalletName = "Pallet_" & i
            Found = False
            For Each MyRow In MyDB.Tables("Pallets").Rows
                If MyRow.Item("Description") = PalletName Then
                    Found = True
                End If
            Next
            If Found = False Then
                Return PalletName
                Exit Function
            End If
        Next i
        Return ("Pallet")
    End Function

    Public Function PalletExists(ByVal PalletName As String) As Boolean
        Dim MyRow As DataRow
        For Each MyRow In MyDB.Tables("Pallets").Rows
            If MyRow.Item("Description") = PalletName Then
                Return True
                Exit Function
            End If
        Next
        Return False
    End Function


    Public Function GetPalletProgram(ByVal PalletID As String, ByVal DescrName As String) As String
        Dim MyRow As DataRow
        For Each MyRow In MyDB.Tables("PalletPPs").Rows
            If MyRow.Item("Pallet") = PalletID Then
                If MyRow.Item("Description") Is DBNull.Value Then
                    Return ""
                Else
                    If MyRow.Item("Description") = DescrName Then
                        Return MyRow.Item("Program")
                    End If
                End If
            End If
        Next
        Return ""
    End Function
    Public Function GetPalletAlignment(ByVal PalletID As String, ByVal PalletRow As String, ByVal PalletCol As String, ByVal DescrName As String) As String
        Dim MyRow As DataRow

        For Each MyRow In MyDB.Tables("Pallets").Rows
            If MyRow.Item("Description") = PalletID Then
                If MyRow.Item("AlignmentName") Is DBNull.Value Then
                    Return ""
                    Exit Function
                Else
                    Return MyRow.Item("AlignmentName")
                    Exit Function
                End If
            End If
        Next
        Return ""

    End Function
    Public Function GetPalletPosAlignment(ByVal PalletID As String, ByVal PalletRow As String, ByVal PalletCol As String, ByVal DescrName As String) As String
        Dim MyRow As DataRow



        For Each MyRow In MyDB.Tables("PalletPositions").Rows
            If MyRow.Item("Pallet") = PalletID Then
                If MyRow.Item("Row") = PalletRow + 1 And MyRow.Item("Column") = PalletCol + 1 Then
                    If MyRow.Item("AlignmentName") Is DBNull.Value Then
                        Return ""
                    Else
                        Return MyRow.Item("AlignmentName")
                        Exit Function
                    End If
                End If
            End If
        Next
        Return ""
    End Function
    Public Function GetPalletOffsets(ByVal PalletID As String, ByVal PalletRow As String, ByVal PalletCol As String, ByVal DescrName As String, ByRef Xoff As Double, ByRef YOff As Double) As String
        Dim MyRow As DataRow
        For Each MyRow In MyDB.Tables("PalletPositions").Rows
            If MyRow.Item("Pallet") = PalletID Then
                If MyRow.Item("Row") = PalletRow + 1 And MyRow.Item("Column") = PalletCol + 1 Then
                    Xoff = MyRow.Item("XOffset")
                    YOff = MyRow.Item("YOffset")
                End If
            End If
        Next
        Return ""
    End Function


    Public Function GetPicture(ByVal TabIdx As Integer, ByVal RowNum As Integer) As String
        Return MyDB.Tables(TabIdx).Rows(RowNum).Item("Image").ToString
    End Function
    Public Function GetInstruction(ByVal TabIdx As Integer, ByVal RowNum As Integer) As String
        Return MyDB.Tables(TabIdx).Rows(RowNum).Item("Instruction").ToString
    End Function

    Public Sub AddToExecQue(ByVal PPNum As Integer, ByRef LstView As ListView)
        Dim lvItem As ListViewItem
        Dim MyRow As DataRow

        MyRow = MyDB.Tables(2).Rows.Item(PPNum)
        lvItem = LstView.Items.Add(MyRow.Item("Description").ToString)
        lvItem.SubItems.Add(MyRow.Item("Group").ToString)

    End Sub


    Public Sub FillComboGroup(ByRef TabIdx As Integer, ByRef CmbBox As ToolStripComboBox)
        Dim MyRow As DataRow
        CmbBox.Items.Clear()
        CmbBox.Items.Add("*")
        For Each MyRow In MyDB.Tables(TabIdx).Rows
            If ComboContains(CmbBox, MyRow.Item(5).ToString) = False Then CmbBox.Items.Add(MyRow.Item(5).ToString)
        Next MyRow
    End Sub

    Private Function ComboContains(ByRef CmbBox As ToolStripComboBox, ByVal Str As String) As Boolean
        Dim CmbBoxItm As Object
        For Each CmbBoxItm In CmbBox.Items
            If CmbBoxItm = Str Then Return True
        Next
        Return False
    End Function

    Public Sub FilterGroup(ByRef LstView As ListView, ByVal TabIdx As Integer, ByVal Str As String)

        Dim lvItem As ListViewItem
        Dim i As Int16
        LstView.Clear()
        LstView.Columns.Add(Form1.DLang1.GetV("CL1"), My.Settings.WidthDescription, HorizontalAlignment.Left)
        LstView.Columns.Add(Form1.DLang1.GetV("CL2"), My.Settings.WidthGroup, HorizontalAlignment.Left)
        i = 0
        For Each MyRow In MyDB.Tables(TabIdx).Rows
            If MyRow.Item(5).ToString = Str Or Str = "*" Then
                lvItem = LstView.Items.Add(MyRow.Item("Description").ToString)
                lvItem.SubItems.Add(MyRow.Item(5).ToString)
                lvItem.ImageKey = "k" & i.ToString
            End If
            i = i + 1
        Next MyRow


    End Sub

    Public Sub FillImageList(ByRef ImgLst As ImageList, ByVal TabIdx As Integer, ByRef LstView As ListView, Optional ByVal LoadImages As Boolean = False)
        Dim MyRow As DataRow
        Dim i As Integer
        Dim DS As New System.Drawing.Size
        If My.Settings.ImageSize > 256 Then My.Settings.ImageSize = 256
        DS.Height = My.Settings.ImageSize
        DS.Width = My.Settings.ImageSize
        ImgLst.ImageSize = DS
        ImgLst.Images.Clear()
        LstView.LargeImageList = ImgLst
        LstView.View = View.LargeIcon
        i = 0
        For Each MyRow In MyDB.Tables(TabIdx).Rows
            Try
                If LoadImages Then ImgLst.Images.Add("k" & CStr(i), Image.FromFile(MyRow.Item("Image").ToString))
            Catch ex As Exception
                My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " <* " & "Problem loading image:" & i & vbCrLf, True)
                Try
                    If LoadImages Then ImgLst.Images.Add("k" & CStr(i), Image.FromFile(My.Application.Info.DirectoryPath & "\Logo.bmp"))
                Catch ex1 As Exception

                End Try
            End Try
            i = i + 1
        Next MyRow


        Dim lvItem As ListViewItem

        LstView.Clear()
        LstView.Columns.Add(Form1.DLang1.GetV("CL1"), My.Settings.WidthDescription, HorizontalAlignment.Left)
        LstView.Columns.Add(Form1.DLang1.GetV("CL2"), My.Settings.WidthGroup, HorizontalAlignment.Left)
        i = 0
        For Each MyRow In MyDB.Tables(TabIdx).Rows
            lvItem = LstView.Items.Add(MyRow.Item("Description").ToString)
            lvItem.SubItems.Add(MyRow.Item(5).ToString)
            lvItem.ImageKey = "k" & i.ToString
            i = i + 1
        Next MyRow

    End Sub



    Public Sub FillImageListP(ByRef ImgLst As ImageList, ByVal PalIdx As String, ByRef LstView As ListView)
        Dim MyRow As DataRow
        Dim i As Integer
        Dim DS As New System.Drawing.Size
        DS.Height = My.Settings.ImageSize
        DS.Width = My.Settings.ImageSize
        ImgLst.ImageSize = DS
        ImgLst.Images.Clear()
        LstView.LargeImageList = ImgLst
        LstView.View = View.LargeIcon
        i = 0
        For Each MyRow In MyDB.Tables("PalletPPs").Rows
            If MyRow.Item("Pallet") = PalIdx Then
                Try
                    ImgLst.Images.Add("k" & CStr(i), Image.FromFile(MyRow.Item("Image").ToString))
                Catch ex As Exception
                    My.Computer.FileSystem.WriteAllText("EasyRun.log", Now & " <* " & "Problem loading image:" & i & vbCrLf, True)
                    Try
                        ImgLst.Images.Add("k" & CStr(i), Image.FromFile(My.Application.Info.DirectoryPath & "\Logo.bmp"))
                    Catch ex1 As Exception

                    End Try
                End Try
            End If
            i = i + 1
        Next MyRow


        Dim lvItem As ListViewItem

        LstView.Clear()
        LstView.Columns.Add("Description", 400, HorizontalAlignment.Left)
        LstView.Columns.Add("Group", 200, HorizontalAlignment.Left)
        i = 0
        For Each MyRow In MyDB.Tables("PalletPPs").Rows
            If MyRow.Item("Pallet") = PalIdx Then
                lvItem = LstView.Items.Add(MyRow.Item("Description").ToString)
                'lvItem.SubItems.Add(MyRow.Item(5).ToString)
                lvItem.ImageKey = "k" & i.ToString
            End If
            i = i + 1
        Next MyRow

    End Sub

    Public Function GetImageFile(ByVal IIdx As String, ByVal PalIdx As String) As String
        Dim MyRow As DataRow
        Try
            For Each MyRow In MyDB.Tables("PalletPPs").Rows
                If MyRow.Item("Pallet") = PalIdx Then
                    If MyRow.Item("Description") = IIdx Then
                        Return MyRow.Item("Image")
                    End If
                End If
            Next MyRow
        Catch ex As Exception

        End Try
        Return ""
    End Function


    Public Function GetPalletShiftType(ByVal PalName As String) As Boolean
        Dim MyRow As DataRow
        Try
            For Each MyRow In MyDB.Tables("Pallets").Rows
                If MyRow.Item("Description") = PalName Then
                    Return MyRow.Item("ShiftInCMMCSY")
                    Exit Function
                End If
            Next MyRow
        Catch ex As Exception

        End Try
        Return False

    End Function


    Public Sub SetPalletView(ByVal PalIdx As String, ByRef PPanel As TableLayoutPanel)
        Dim NRows As Integer, NCols As Integer
        Dim MyRow As DataRow
        For Each MyRow In MyDB.Tables("Pallets").Rows
            If MyRow.Item("Description") = PalIdx Then
                NRows = MyRow.Item("Rows")
                NCols = MyRow.Item("Columns")
            End If
        Next MyRow
        PPanel.ColumnCount = NCols
        PPanel.RowCount = NRows
        PPanel.Invalidate()
    End Sub

    Public Sub AssignGrid(ByVal TabIDX As Integer, ByRef TargetObj As DataGridView, Optional ByVal SetOthers As Boolean = True)
        Dim DBBindingSource As New BindingSource
        TargetObj.DataSource = MyDB.Tables(TabIDX)
        If SetOthers = False Then Exit Sub
        TargetObj.Columns.Item(1).Visible = False
        TargetObj.Columns.Item(2).Visible = False
        TargetObj.Columns.Item(3).Visible = False
        TargetObj.Columns.Item(4).Visible = False
        TargetObj.Columns.Item(5).Visible = False
        TargetObj.Columns.Item(0).Width = TargetObj.Width
    End Sub

    Public Sub AssignGridPositions(ByVal DGV1 As DataGridView, ByVal DGV2 As DataGridView, ByVal DGV3 As DataGridView, ByVal masterBindingSource As Object, ByVal detailsBindingSource As Object, ByVal detailsBindingSource1 As Object)

        masterBindingSource.DataSource = MyDB
        masterBindingSource.DataMember = "Pallets"
        detailsBindingSource.DataSource = masterBindingSource
        detailsBindingSource.DataMember = "Relation1"
        DGV1.DataSource = masterBindingSource 'MyDB.Tables(0)
        DGV2.DataSource = detailsBindingSource ' MyDB.Tables(1)

        detailsBindingSource1.DataSource = masterBindingSource
        detailsBindingSource1.DataMember = "Relation2"
        DGV3.DataSource = detailsBindingSource1 ' MyDB.Tables(1)


    End Sub




    Public Sub AssignTextBox(ByVal TabIDX As Integer, ByRef TargetObj As TextBox)
        TargetObj.DataBindings.Clear()
        TargetObj.DataBindings.Add("Text", MyDB.Tables(TabIDX), "Instruction")
    End Sub

    Public Sub AssignComboBox(ByVal TabIDX As Integer, ByRef TargetObj As ToolStripComboBox)
        Dim MyRow As DataRow
        TargetObj.Items.Clear()

        For Each MyRow In MyDB.Tables("Pallets").Rows
            TargetObj.Items.Add(MyRow.Item("Description"))
        Next
    End Sub


    Public Sub AddPallet(ByVal PName As String, ByVal PRows As Integer, ByVal PCols As Integer, ByVal PStepX As String, ByVal PStepY As String, ByVal PCSY1 As String, ByVal ShiftinMachineCSY As Boolean)
        Dim MyRow As DataRow


        'If PCSY1 = "" Then

        'Try
        'MyRow = MyDB.Tables("Pallets").Rows.Add(PName)
        'MyRow.Item("Rows") = PRows
        'MyRow.Item("Columns") = PCols
        'MyRow.Item("Description") = PName
        'MyRow.Item("XOffset") = 0
        'MyRow.Item("YOffset") = 0
        'MyDB.AcceptChanges()

        'Dim i As Integer, j As Integer

        'For i = 1 To PRows
        'For j = 1 To PCols
        'If i = 1 And j = 1 Then
        'MyRow.Item("AlignmentName") = PCSY1
        'End If
        'MyRow = MyDB.Tables("PalletPositions").Rows.Add(MyDB.Tables("PalletPositions").Rows.Count + 1, PName, 0, 0, i, j)
        'Next
        'Next
        'MyDB.AcceptChanges()

        'Catch ex As Exception
        'MessageBox.Show("Pallet with this name already exists! Failed to add new pallet!", "Error creating new pallet", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
        'End Try

        'Else
        Try
            MyRow = MyDB.Tables("Pallets").Rows.Add(PName)
            MyRow.Item("Rows") = PRows
            MyRow.Item("Columns") = PCols
            MyRow.Item("Description") = PName
            MyRow.Item("AlignmentName") = PCSY1
            MyRow.Item("ShiftInCMMCSY") = ShiftinMachineCSY
            MyDB.AcceptChanges()

            Dim i As Integer, j As Integer

            For i = 1 To PRows
                For j = 1 To PCols
                    MyRow = MyDB.Tables("PalletPositions").Rows.Add(MyDB.Tables("PalletPositions").Rows.Count + 1, PName, 0, 0, i, j)
                    MyRow.Item("XOffset") = CDbl(PStepX) * (j - 1)
                    MyRow.Item("YOffset") = CDbl(PStepY) * (i - 1)
                Next
            Next
            MyDB.AcceptChanges()

        Catch ex As Exception
            MessageBox.Show("Pallet with this name already exists! Failed to add new pallet!", "Error creating new pallet", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
        End Try
        'End If

    End Sub





    Public Sub LoadDB(ByVal fn As String)

        If My.Computer.FileSystem.FileExists(fn & ".xml") = False Then
            'MsgBox("File " & fn & ".xml" & " not found!", MsgBoxStyle.Information)
            Exit Sub
        End If
        If My.Computer.FileSystem.FileExists(fn & ".xsd") = False Then
            'MsgBox("File " & fn & ".xsd" & " not found!")
            Exit Sub
        End If

        MyDB.Clear()
        MyDB = Nothing
        MyDB = New DataSet

        Dim fstr1 As New System.IO.FileStream(fn & ".xsd", System.IO.FileMode.Open)
        MyDB.ReadXmlSchema(fstr1)
        fstr1.Close()
        Dim fstr As New System.IO.FileStream(fn & ".xml", System.IO.FileMode.Open)
        MyDB.ReadXml(fstr)
        fstr.Close()
    End Sub

    Public Sub LoadDBSets(ByVal fn As String)

        If My.Computer.FileSystem.FileExists(fn & ".xml") = False Then
            'MsgBox("File " & fn & ".xml" & " not found!", MsgBoxStyle.Information)
            Exit Sub
        End If
        If My.Computer.FileSystem.FileExists(fn & ".xsd") = False Then
            'MsgBox("File " & fn & ".xsd" & " not found!")
            Exit Sub
        End If

        MyDBSets.Clear()
        MyDBSets = Nothing
        MyDBSets = New DataSet

        Dim fstr1 As New System.IO.FileStream(fn & ".xsd", System.IO.FileMode.Open)
        MyDBSets.ReadXmlSchema(fstr1)
        fstr1.Close()
        Dim fstr As New System.IO.FileStream(fn & ".xml", System.IO.FileMode.Open)
        MyDBSets.ReadXml(fstr)
        fstr.Close()
    End Sub


    Public Sub SaveDB(ByVal fn As String)
        MyDB.AcceptChanges()
        Dim fstr As New System.IO.FileStream(fn & ".xml", System.IO.FileMode.Create)
        MyDB.WriteXml(fstr)
        fstr.Close()
        Dim fstr1 As New System.IO.FileStream(fn & ".xsd", System.IO.FileMode.Create)
        MyDB.WriteXmlSchema(fstr1)
        fstr1.Close()
    End Sub
    Public Sub SaveDBSets(ByVal fn As String)
        MyDBSets.AcceptChanges()
        Dim fstr As New System.IO.FileStream(fn & ".xml", System.IO.FileMode.Create)
        MyDBSets.WriteXml(fstr)
        fstr.Close()
        Dim fstr1 As New System.IO.FileStream(fn & ".xsd", System.IO.FileMode.Create)
        MyDBSets.WriteXmlSchema(fstr1)
        fstr1.Close()
    End Sub

    Public Function AddSavedSet(ByVal Setname As String, ByRef SrcObj As ListView) As Integer
        Dim MyRow As DataRow
        Try
            MyDBSets.Tables("SavedSets").Rows.Add(Setname)
            Dim ColItem As ListViewItem
            For Each ColItem In SrcObj.Items
                MyRow = MyDBSets.Tables(1).Rows.Add()
                MyRow.Item(1) = Setname
                MyRow.Item(2) = ColItem.Text
                MyRow.Item(3) = ColItem.SubItems(1).Text
                MyDBSets.AcceptChanges()
            Next ColItem
            Return 1
        Catch ex As Exception
            Return 0
        End Try
    End Function
    Public Function RemoveSavedSet(ByVal Setname As String) As Integer
        Dim MyRow As DataRow
        Try
            MyRow = MyDBSets.Tables("SavedSets").Rows.Find(Setname)
            MyDBSets.Tables("SavedSets").Rows.Remove(MyRow)
            MyDBSets.AcceptChanges()
        Catch ex As Exception

        End Try
    End Function

    Public Sub FillComboSets(ByRef TabIdx As Integer, ByRef CmbBox As ToolStripComboBox)
        Dim MyRow As DataRow
        CmbBox.Items.Clear()
        For Each MyRow In MyDBSets.Tables("SavedSets").Rows
            CmbBox.Items.Add(MyRow.Item(0).ToString)
        Next MyRow
    End Sub

    Public Sub PopulateSet(ByVal SetName As String, ByVal LstView As ListView)
        Dim MyRow As DataRow
        Dim lvitem As ListViewItem

        LstView.Items.Clear()
        For Each MyRow In MyDBSets.Tables(1).Rows
            If MyRow.Item(1) = SetName Then
                lvItem = LstView.Items.Add(MyRow.Item(2))
                lvitem.SubItems.Add(MyRow.Item(3))
            End If
        Next MyRow
    End Sub

    Public Function CheckBar(ByVal str As String) As String
        Try
            For Each MyRow In MyDB.Tables(2).Rows
                Debug.Print(str & " / " & MyRow.Item("BarCode"))
                If MyRow.Item("BarCode") = str Then
                    Return MyRow.Item(0)
                    Exit For
                End If
            Next MyRow
        Catch ex As Exception
            Return ""
        End Try
        Return ""
    End Function

End Class


